<?php 
/**
 * Register the form and fields for our front-end submission form
 */
function dogsubmission_frontend_form_register() {
     $prefix = 'petenica_meta_';
    $dogsubmission = new_cmb2_box( array(
        'id'           => 'front-end-dog-form',
        'object_types' => array( 'petenicapet' ),
        'hookup'       => false,
        'save_fields'  => false,
    ) );
   
    $dogsubmission->add_field( array(
        'name'       => esc_html__( 'Rescue’s Name', 'petenica-core' ),
        'id'         => $prefix . 'resecues_name',
        'type'       => 'text',
        'show_on_cb' => 'yourprefix_hide_if_no_dogs',
    ));
    /* $dogsubmission->add_field( array(
        'name'       => esc_html__( 'Dog Name', 'petenica-core' ),
         'attributes'  => array(
        'placeholder'       => esc_html__( 'Enter the name of dog', 'petenica-core' ),
    ),
        'id'         => $prefix . 'pet_name',
        'type'       => 'text',
        'show_on_cb' => 'yourprefix_hide_if_no_dogs',
    ));*/
    $dogsubmission->add_field( array(
        'name'    => __( 'Dog’s Name', 'YOURTEXTDOMAIN' ),
        'id'      => 'submitted_post_title',
        'type'    => 'text',
        'default' => ! empty( $_POST['submitted_post_title'] )
            ? $_POST['submitted_post_title']
            : __( 'New Dog', 'petenica-core' ),
    ) );
      $dogsubmission->add_field( array(
        'name'       => esc_html__( 'Breed', 'petenica-core' ),
         'attributes'  => array(
        'placeholder'       => esc_html__( 'Enter the Breed of dog', 'petenica-core' ),
    ),
        'id'         => $prefix . 'pet_breed',
        'type'       => 'text',
        'show_on_cb' => 'yourprefix_hide_if_no_dogs',
    ));

      $dogsubmission->add_field( array(
        'name'             => esc_html__( 'Dog Gender', 'petenica-core' ),
        'desc'             => esc_html__( 'Select gender of Dog', 'petenica-core' ),
        'id'               => $prefix . 'pet_gender',
        'type'             => 'radio_inline',
        'show_option_none' => 'No Selection',
        'options'          => array(
            'male' => esc_html__( 'Male', 'petenica-core' ),
            'female'   => esc_html__( 'Female', 'petenica-core' ),
        ),
    ) );
      $dogsubmission->add_field( array(
        'name'             => esc_html__( 'Age', 'petenica-core' ),
        'desc'             => esc_html__( 'Select an option', 'petenica-core' ),
        'id'               => $prefix . 'dsize',
        'type'             => 'select',
        'show_option_none' => true,
        'default'          => 'custom',
        'options'          => array(
            'Puppy' => __( 'Puppy', 'petenica-core' ),
            'adult'   => __( ' Adult ', 'petenica-core' ),
            'senior'   => __( ' Senior', 'petenica-core' ),
        ),
    ) );
    $dogsubmission->add_field( array(
        'name'       => esc_html__( 'Age', 'petenica-core' ),
         'attributes'  => array(
        'placeholder'       => esc_html__( 'Dog Age', 'petenica-core' ),
    ),
        'id'         => $prefix . 'pet_age',
        'type'       => 'text',
        'show_on_cb' => 'yourprefix_hide_if_no_dogs',
    ));
    $dogsubmission->add_field( array(
        'name'             => esc_html__( 'Size', 'petenica-core' ),
        'desc'             => esc_html__( 'Select an option', 'petenica-core' ),
        'id'               => $prefix . 'ddsize',
        'type'             => 'select',
        'show_option_none' => true,
        'default'          => 'custom',
        'options'          => array(
            'small' => __( 'Small', 'petenica-core' ),
            'medium'   => __( ' Medium ', 'petenica-core' ),
            'large'   => __( ' Large', 'petenica-core' ),
        ),
    ) );
     $dogsubmission->add_field( array(
        'name'       => esc_html__( 'Color', 'petenica-core' ),
         'attributes'  => array(
        'placeholder'       => esc_html__( 'Dog Color', 'petenica-core' ),
    ),
        'id'         => $prefix . 'pet_color',
        'type'       => 'text',
        'show_on_cb' => 'yourprefix_hide_if_no_dogs',
    )); 

     $dogsubmission->add_field( array(
        'name'             => esc_html__( 'Desexed', 'petenica-core' ),
        'desc'             => esc_html__( 'Select an option', 'petenica-core' ),
        'id'               => $prefix . 'desex',
        'type'             => 'select',
        'default'          => 'custom',
        'options'          => array(
            'yes' => __( 'Yes', 'petenica-core' ),
        ),
    ) );
    $dogsubmission->add_field( array(
        'name'             => 'Vaccinated',
        'desc'             => 'Select an option',
        'id'               => $prefix . 'vaci',
        'type'             => 'select',
        'default'          => 'custom',
        'options'          => array(
            'yes' => __( 'Yes', 'cmb2' ),
        ),
    ) );
    $dogsubmission->add_field( array(
        'name'       => esc_html__( 'Microchip Number', 'petenica-core' ),
        'desc'       => esc_html__( 'Dog Microchip Number', 'petenica-core' ),
        'id'         => $prefix . 'microchipno',
        'type'       => 'text',
        'show_on_cb' => 'yourprefix_hide_if_no_dogs',
    ));
    $dogsubmission->add_field( array(
        'name'       => esc_html__( 'Information', 'petenica-core' ),
        'desc'       => esc_html__( 'Dog Information', 'petenica-core' ),
        'id'         => $prefix . 'info',
        'type'       => 'textarea',
        'show_on_cb' => 'yourprefix_hide_if_no_dogs',
    ));
    $dogsubmission->add_field( array(
        'name'       => esc_html__( 'Medical Information', 'petenica-core' ),
        'desc'       => esc_html__( 'Dog Medical Information', 'petenica-core' ),
        'id'         => $prefix . 'minfo',
        'type'       => 'textarea',
        'show_on_cb' => 'yourprefix_hide_if_no_dogs',
    ));
    $dogsubmission->add_field( array(
        'name'       => esc_html__( 'Special Requirements', 'petenica-core' ),
        'desc'       => esc_html__( 'Dog Special Requirements', 'petenica-core' ),
        'id'         => $prefix . 'sreq',
        'type'       => 'textarea',
        'show_on_cb' => 'yourprefix_hide_if_no_dogs',
    ));



    
     $dogsubmission->add_field( array(
        'default_cb' => 'yourprefix_maybe_set_default_from_posted_values',
        'name'       => __( 'Locations', 'YOURTEXTDOMAIN' ),
        'id'         => 'statelocations',
        'type'       => 'taxonomy_select',
        'taxonomy'   => 'pet-location', // Taxonomy Slug
    ) );
      $dogsubmission->add_field( array(
        'name'             => esc_html__( 'Available for Interstate Adoption', 'petenica-core' ),
        'desc'             => esc_html__( 'Select  yes or no', 'petenica-core' ),
        'id'               => $prefix . 'interstate',
        'type'             => 'radio_inline',
        'show_option_none' => 'No Selection',
        'options'          => array(
            'yes' => esc_html__( 'Yes', 'petenica-core' ),
            'no'   => esc_html__( 'No', 'petenica-core' ),
        ),
    ) );
    
   
   
  
   

   
    
    
    $dogsubmission->add_field( array(
    'name' => 'Contact Person info',
    'desc' => 'Enter Contact Person Info Below',
    'type' => 'title',
    'id'   => 'info_title'
) );
    $dogsubmission->add_field( array(
        'name' => esc_html__( 'Submitter Name', 'petenica-core' ),
        'id'   => 'petsubmitter_name',
        'type' => 'text',
        
    ) );
     $dogsubmission->add_field( array(
        'name' => 'Your Email',
        'id'   => 'petsubmitter_email',
        'type' => 'text_email',
        'attributes'  => array(
        'placeholder' => 'Your Email',
        'required'    => 'required',
    ),
    ) );
   
    $dogsubmission->add_field( array(
        'name' => esc_html__( 'Submitter Phone Number ', 'petenica-core' ),
        'id'   => 'petsubmitter_phno',
        'type' => 'text',
        
    ) );
    $dogsubmission->add_field( array(
        'name'             => esc_html__( 'We Need Foster Carers', 'petenica-core' ),
        'desc'             => esc_html__( 'field description (optional)', 'petenica-core' ),
        'id'               => $prefix . 'fcarers',
        'type'             => 'radio_inline',
        'show_option_none' => 'No Selection',
        'options'          => array(
            'yes' => esc_html__( 'Yes', 'petenica-core' ),
            'no'   => esc_html__( 'No', 'petenica-core' ),
        ),
    ) );
     $dogsubmission->add_field( array(
        'name' => 'Dog Image',
        'desc' => '',
        'id'   => $prefix . 'pet_images',
        'type' => 'file_list',
        // 'preview_size' => array( 100, 100 ), // Default: array( 50, 50 )
        // 'query_args' => array( 'type' => 'image' ), // Only images attachment
        // Optional, override default text strings
        'text' => array(
            'add_upload_files_text' => 'Images', // default: "Add or Upload Files"
            'remove_image_text' => 'Images', // default: "Remove Image"
            'file_text' => 'Images', // default: "File:"
            'file_download_text' => 'Images', // default: "Download"
            'remove_text' => 'Images', // default: "Remove"
        ),
    ) );
}
add_action( 'cmb2_init', 'dogsubmission_frontend_form_register' );
/**
 * Sets the front-end-pet-form field values if form has already been submitted.
 *
 * @return string
 */
function dogsubmission_maybe_set_default_from_posted_values( $args, $field ) {
    if ( ! empty( $_POST[ $field->id() ] ) ) {
        return $_POST[ $field->id() ];
    }
    return '';
}
/**
 * Gets the front-end-pet-form cmb instance
 *
 * @return CMB2 object
 */
function dogsubmission_frontend_cmb2_get() {
    // Use ID of metabox in dogsubmission_frontend_form_register
    $metabox_id = 'front-end-dog-form';
    // Post/object ID is not applicable since we're using this form for submission
    $object_id  = 'fake-oject-id';
    // Get CMB2 metabox object
    return cmb2_get_metabox( $metabox_id, $object_id );
}
/**
 * Handle the cmb_frontend_form shortcode
 *
 * @param  array  $atts Array of shortcode attributes
 * @return string       Form html
 */
function dogsubmission_do_frontend_form_submission_shortcode( $atts = array() ) {
    if ( is_user_logged_in() ) {
    

    // Get CMB2 metabox object
    $cmb = dogsubmission_frontend_cmb2_get();
    // Get $cmb object_types
    $post_types = $cmb->prop( 'object_types' );
    // Current user
    $user_id = get_current_user_id();
    // Parse attributes
    $atts = shortcode_atts( array(
        'post_author' => $user_id ? $user_id : 1, // Current user, or admin
        'post_status' => 'pending',
        'post_type'   => 'petenicapet', //reset( $post_types ), // Only use first object_type in array
        'pettype'   => ''
    ), $atts, 'cmb_frontend_form' );
    /*
     * Let's add these attributes as hidden fields to our cmb form
     * so that they will be passed through to our form submission
     */
    foreach ( $atts as $key => $value ) {
        $cmb->add_hidden_field( array(
            'field_args'  => array(
                'id'    => "atts[$key]",
                'type'  => 'hidden',
                'default' => $value,
            ),
        ) );
    }
    // Initiate our output variable
    $output = '';
    // Get any submission errors
    if ( ( $error = $cmb->prop( 'submission_error' ) ) && is_wp_error( $error ) ) {
        // If there was an error with the submission, add it to our ouput.
        $output .= '<h3>' . sprintf( __( 'There was an error in the submission: %s', 'YOURTEXTDOMAIN' ), '<strong>'. $error->get_error_message() .'</strong>' ) . '</h3>';
    }
    // If the post was submitted successfully, notify the user.
    if ( isset( $_GET['post_submitted'] ) && ( $post = get_post( absint( $_GET['post_submitted'] ) ) ) ) {
        // Get submitter's name
        $name = get_post_meta( $post->ID, 'submitted_author_name', 1 );
        $name = $name ? ' '. $name : '';
        // Add notice of submission to our output
        $output .= '<h3>' . sprintf( __( 'Thank you %s, your pet has been submitted and is pending review by a site administrator.', 'YOURTEXTDOMAIN' ), esc_html( $name ) ) . '</h3>'; echo $atts['pettype'].$post->ID;
        wp_set_object_terms( $post->ID, $atts['pettype'], 'pet-type' );
    }
    // Get our form
    $output .= cmb2_get_metabox_form( $cmb, 'fake-oject-id', array( 'save_button' => __( 'Submit Dog', 'YOURTEXTDOMAIN' ) ) );
    return $output;
    } else {
    echo 'Your are not logged in please login to submit a pet';
    }
}
add_shortcode( 'dog_frontend_form', 'dogsubmission_do_frontend_form_submission_shortcode' );
/**
 * Handles form submission on save. Redirects if save is successful, otherwise sets an error message as a cmb property
 *
 * @return void
 */
function dogsubmission_handle_frontend_new_post_form_submission() {
    // If no form submission, bail
    if ( empty( $_POST ) || ! isset( $_POST['submit-cmb'], $_POST['object_id'] ) ) {
        return false;
    }
    // Get CMB2 metabox object
    $cmb = dogsubmission_frontend_cmb2_get();
    $post_data = array();
    // Get our shortcode attributes and set them as our initial post_data args
    if ( isset( $_POST['atts'] ) ) {
        foreach ( (array) $_POST['atts'] as $key => $value ) {
            $post_data[ $key ] = sanitize_text_field( $value );
        }
        unset( $_POST['atts'] );
    }
    // Check security nonce
    if ( ! isset( $_POST[ $cmb->nonce() ] ) || ! wp_verify_nonce( $_POST[ $cmb->nonce() ], $cmb->nonce() ) ) {
        return $cmb->prop( 'submission_error', new WP_Error( 'security_fail', __( 'Security check failed.' ) ) );
    }
    // Check title submitted
    if ( empty( $_POST['submitted_post_title'] ) ) {
        return $cmb->prop( 'submission_error', new WP_Error( 'post_data_missing', __( 'New post requires a title.' ) ) );
    }
    // And that the title is not the default title
   // if ( $cmb->get_field( 'submitted_post_title' )->default() == $_POST['submitted_post_title'] ) {
       // return $cmb->prop( 'submission_error', new WP_Error( 'post_data_missing', __( 'Please enter a new title.' ) ) );
    //}
    /**
     * Fetch sanitized values
     */
    $sanitized_values = $cmb->get_sanitized_values( $_POST );
    // Set our post data arguments
    $post_data['post_title']   = $sanitized_values['submitted_post_title'];
    unset( $sanitized_values['submitted_post_title'] );
    //$post_data['post_content'] = $sanitized_values['submitted_post_content'];
    //unset( $sanitized_values['submitted_post_content'] );
    $post_data['post_type'] = 'petenicapet';
    // Create the new post
    $new_submission_id = wp_insert_post( $post_data, true );
    // If we hit a snag, update the user
    if ( is_wp_error( $new_submission_id ) ) {
        return $cmb->prop( 'submission_error', $new_submission_id );
    }
    $cmb->save_fields( $new_submission_id, 'post', $sanitized_values );
    /**
     * Other than post_type and post_status, we want
     * our uploaded attachment post to have the same post-data
     */
    unset( $post_data['post_type'] );
    unset( $post_data['post_status'] );
    // Try to upload the featured image
    $img_id = dogsubmission_frontend_form_photo_upload( $new_submission_id, $post_data );
    // If our photo upload was successful, set the featured image
    if ( $img_id && ! is_wp_error( $img_id ) ) {
        set_post_thumbnail( $new_submission_id, $img_id );
    }
    /*
     * Redirect back to the form page with a query variable with the new post ID.
     * This will help double-submissions with browser refreshes
     */
    wp_redirect( esc_url_raw( add_query_arg( 'post_submitted', $new_submission_id ) ) );
    exit;
}
add_action( 'cmb2_after_init', 'dogsubmission_handle_frontend_new_post_form_submission' );
/**
 * Handles uploading a file to a WordPress post
 *
 * @param  int   $post_id              Post ID to upload the photo to
 * @param  array $attachment_post_data Attachement post-data array
 */
function dogsubmission_frontend_form_photo_upload( $post_id, $attachment_post_data = array() ) {
    // Make sure the right files were submitted
    if (
        empty( $_FILES )
        || ! isset( $_FILES['submitted_post_thumbnail'] )
        || isset( $_FILES['submitted_post_thumbnail']['error'] ) && 0 !== $_FILES['submitted_post_thumbnail']['error']
    ) {
        return;
    }
    // Filter out empty array values
    $files = array_filter( $_FILES['submitted_post_thumbnail'] );
    // Make sure files were submitted at all
    if ( empty( $files ) ) {
        return;
    }
    // Make sure to include the WordPress media uploader API if it's not (front-end)
    if ( ! function_exists( 'media_handle_upload' ) ) {
        require_once( ABSPATH . 'wp-admin/includes/image.php' );
        require_once( ABSPATH . 'wp-admin/includes/file.php' );
        require_once( ABSPATH . 'wp-admin/includes/media.php' );
    }
    // Upload the file and send back the attachment post ID
    return media_handle_upload( 'submitted_post_thumbnail', $post_id, $attachment_post_data );
}


 ?>