<?php
add_shortcode('petenica_aboutvideo_sec', function($atts, $content) {
    ob_start();

    $atts = shortcode_atts(array(
        'bg_image'=> '',
        'vbg_image'=> '',
        'videourl' => 'https://www.youtube.com/watch?v=IcsQ4PfnqCo',        
        'icon1' => 'flaticon-face-of-staring-dog',
        'title1'=> 'Largest non-profit pet’s shelter',
        'text1'=> 'Well gaudy hound hired inset flailed luxuriant much followed less this maternal oh well unavoidable crudely aloof in more save groomed.',
        'icon2' => 'flaticon-dog-bone',
        'title2'=> 'Convenient pet adoption for public',
        'text2'=> 'Well gaudy hound hired inset flailed luxuriant much followed less this maternal oh well unavoidable crudely aloof in more save groomed.',
        'icon3' => 'flaticon-pawprint-1',
        'title3'=> 'Innovative ways to help animals',
        'text3'=> 'Well gaudy hound hired inset flailed luxuriant much followed less this maternal oh well unavoidable crudely aloof in more save groomed.',        
    ),$atts);

  
    $bg_image = wp_get_attachment_image_src($atts['bg_image'], 'full');
    $bg_image = isset($bg_image[0]) ? $bg_image[0] : '';
    $vbg_image = wp_get_attachment_image_src($atts['vbg_image'], 'full');
    $vbg_image = isset($vbg_image[0]) ? $vbg_image[0] : '';
        ?>
        <!--Fluid Section One-->
    <section class="fluid-section-one">
        <div class="outer-container clearfix">
            
            <!--Image Column-->
            <div class="image-column" style="background-image:url(<?php echo $vbg_image; ?>);">
                <a class="overlay-box lightbox-image video-btn" href="<?php echo $atts['videourl']; ?>">
                    <span class="icon-box">
                        <span class="icon flaticon-play-button-1"></span>
                        Featured Video
                    </span>
                </a>
                <figure class="image-box"><img src="<?php echo $vbg_image; ?>" alt=""></figure>
            </div>
            
            <!--Content Column-->
            <div class="content-column" style="background-image:url(<?php echo $bg_image; ?>)">
                <div class="inner-column">
                
                    <div class="featured-block-two">
                        <div class="featured-inner">
                            <div class="icon-box">
                                <span class="icon flaticon-<?php echo $atts['icon1']; ?>"></span>
                            </div>
                            <h3><?php echo $atts['title1']; ?></h3>
                            <div class="text"><?php echo $atts['text1']; ?></div>
                        </div>
                    </div>
                    
                    <div class="featured-block-two">
                        <div class="featured-inner">
                            <div class="icon-box">
                                <span class="icon flaticon-<?php echo $atts['icon2']; ?>"></span>
                            </div>
                            <h3><?php echo $atts['title2']; ?> </h3>
                            <div class="text"><?php echo $atts['text2']; ?></div>
                        </div>
                    </div>
                    
                    <div class="featured-block-two">
                        <div class="featured-inner">
                            <div class="icon-box">
                                <span class="icon flaticon-<?php echo $atts['icon3']; ?>"></span>
                            </div>
                            <h3><?php echo $atts['title3']; ?></h3>
                            <div class="text"><?php echo $atts['text3']; ?></div>
                        </div>
                    </div>
                    
                </div>
            </div>
            
        </div>
    </section>
    <!--End Fluid Section One-->
    

      
    
      
		 <?php
    
    $html = ob_get_clean();
    return $html;
});
// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        vc_map(array(
                'name'              => esc_html__('About wiht Video ', 'petenica-core'),
                'description'       => esc_html__('Create About Vidoe section ', 'petenica-core'),
                'base'              => 'petenica_aboutvideo_sec',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                    array(
                                'type' => 'attach_image',
                                'param_name' => 'bg_image',
                                'heading' => esc_html__('Background Image', 'petenica-core'),
                                'value' => ''
                            ),
                    array(
                                'type' => 'textfield',
                                'param_name' => 'videourl',
                                'heading' => esc_html__('Video URL', 'petenica-core'),
                                'value' => ''
                            ),
                    array(
                                'type' => 'attach_image',
                                'param_name' => 'vbg_image',
                                'heading' => esc_html__('Video Background Image', 'petenica-core'),
                                'value' => ''
                            ),
                   array(
                      'type'        => 'dropdown',
                      'heading'     => __('Icon'),
                      'param_name'  => 'icon1',
                      'admin_label' => true,
                      'value'       => array(
                        'flaticon-two-dog-pawprints' => 'two-dog-pawprints',
                        'flaticon-face-of-staring-dog' => 'face-of-staring-dog',
                        'flaticon-van' => 'van',
                        'flaticon-truck' => 'truck',
                        'flaticon-dog-bone' => 'dog-bone',
                        'flaticon-bone' => 'bone',
                        'flaticon-dog-3' => 'dog-3',
                        'flaticon-rabbit' => 'rabbit',
                        'flaticon-easter-bunny' => 'easter-bunny',
                        'flaticon-animals-3' => 'animals-3',
                        'flaticon-animals-2' => 'animals-2',
                        'flaticon-pets-hotel-house-sign-with-a-paw' => 'pets-hotel-house-sign-with-a-paw',
                        'flaticon-dog-in-front-of-a-man' => 'dog-in-front-of-a-man',
                        'flaticon-man' => 'man',
                        'flaticon-pawprint' => 'pawprint',
                        'flaticon-pawprint-1' => 'pawprint-1',
                        'flaticon-animals-1' => 'animals-1',
                        'flaticon-dog-2' => 'dog-2',
                        'flaticon-cat' => 'cat',
                        'flaticon-dog-1' => 'dog-1',
                        'flaticon-award' => 'award',
                        'flaticon-medal' => 'medal',
                        'flaticon-animal-3' => 'animal-3',
                        'flaticon-animal-2' => 'animal-2',
                        'flaticon-animals' => 'animals',
                        'flaticon-brush' => 'brush',
                        'flaticon-animal-1' => 'animal-1',
                        'flaticon-dog' => 'dog',
                        'flaticon-animal' => 'animal',
                        'flaticon-siberian-husky' => 'siberian-husky',
                        'flaticon-pet-grooming' => 'pet-grooming',
                      )),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'title1',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'text1',
                        'heading' => esc_html__('Sub Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                   array(
                      'type'        => 'dropdown',
                      'heading'     => __('Icon'),
                      'param_name'  => 'icon2',
                      'admin_label' => true,
                      'value'       => array(
                        'flaticon-two-dog-pawprints' => 'two-dog-pawprints',
                        'flaticon-face-of-staring-dog' => 'face-of-staring-dog',
                        'flaticon-van' => 'van',
                        'flaticon-truck' => 'truck',
                        'flaticon-dog-bone' => 'dog-bone',
                        'flaticon-bone' => 'bone',
                        'flaticon-dog-3' => 'dog-3',
                        'flaticon-rabbit' => 'rabbit',
                        'flaticon-easter-bunny' => 'easter-bunny',
                        'flaticon-animals-3' => 'animals-3',
                        'flaticon-animals-2' => 'animals-2',
                        'flaticon-pets-hotel-house-sign-with-a-paw' => 'pets-hotel-house-sign-with-a-paw',
                        'flaticon-dog-in-front-of-a-man' => 'dog-in-front-of-a-man',
                        'flaticon-man' => 'man',
                        'flaticon-pawprint' => 'pawprint',
                        'flaticon-pawprint-1' => 'pawprint-1',
                        'flaticon-animals-1' => 'animals-1',
                        'flaticon-dog-2' => 'dog-2',
                        'flaticon-cat' => 'cat',
                        'flaticon-dog-1' => 'dog-1',
                        'flaticon-award' => 'award',
                        'flaticon-medal' => 'medal',
                        'flaticon-animal-3' => 'animal-3',
                        'flaticon-animal-2' => 'animal-2',
                        'flaticon-animals' => 'animals',
                        'flaticon-brush' => 'brush',
                        'flaticon-animal-1' => 'animal-1',
                        'flaticon-dog' => 'dog',
                        'flaticon-animal' => 'animal',
                        'flaticon-siberian-husky' => 'siberian-husky',
                        'flaticon-pet-grooming' => 'pet-grooming',
                      )),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'title2',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'text2',
                        'heading' => esc_html__('Sub Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                      'type'        => 'dropdown',
                      'heading'     => __('Icon'),
                      'param_name'  => 'icon3',
                      'admin_label' => true,
                      'value'       => array(
                        'flaticon-two-dog-pawprints' => 'two-dog-pawprints',
                        'flaticon-face-of-staring-dog' => 'face-of-staring-dog',
                        'flaticon-van' => 'van',
                        'flaticon-truck' => 'truck',
                        'flaticon-dog-bone' => 'dog-bone',
                        'flaticon-bone' => 'bone',
                        'flaticon-dog-3' => 'dog-3',
                        'flaticon-rabbit' => 'rabbit',
                        'flaticon-easter-bunny' => 'easter-bunny',
                        'flaticon-animals-3' => 'animals-3',
                        'flaticon-animals-2' => 'animals-2',
                        'flaticon-pets-hotel-house-sign-with-a-paw' => 'pets-hotel-house-sign-with-a-paw',
                        'flaticon-dog-in-front-of-a-man' => 'dog-in-front-of-a-man',
                        'flaticon-man' => 'man',
                        'flaticon-pawprint' => 'pawprint',
                        'flaticon-pawprint-1' => 'pawprint-1',
                        'flaticon-animals-1' => 'animals-1',
                        'flaticon-dog-2' => 'dog-2',
                        'flaticon-cat' => 'cat',
                        'flaticon-dog-1' => 'dog-1',
                        'flaticon-award' => 'award',
                        'flaticon-medal' => 'medal',
                        'flaticon-animal-3' => 'animal-3',
                        'flaticon-animal-2' => 'animal-2',
                        'flaticon-animals' => 'animals',
                        'flaticon-brush' => 'brush',
                        'flaticon-animal-1' => 'animal-1',
                        'flaticon-dog' => 'dog',
                        'flaticon-animal' => 'animal',
                        'flaticon-siberian-husky' => 'siberian-husky',
                        'flaticon-pet-grooming' => 'pet-grooming',
                      )),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'title3',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'text3',
                        'heading' => esc_html__('Sub Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
            ))
        );

    }
});

 ?>
