<?php
add_shortcode('petenica_appointment_sec', function($atts, $content) {
    ob_start();

    $atts = shortcode_atts(array(
    	'title'=> 'Get An Appointment',
    	'small_title'=> 'Because We Really Care About Your Pets',
    	'titlebg'=> ''
       
    ),$atts);

  
   $titlebg = wp_get_attachment_image_src($atts['titlebg'], 'full');
    $titlebg = isset($titlebg[0]) ? $titlebg[0] : '';
    
    
        ?>
         <!--Appointment Section-->
    <section class="appointment-section" >
    	<div class="auto-container">
        	<!--Sec Title-->
            <div class="sec-title light centered">
            	<div class="separator">
            		<?php if (!empty($titlebg)): ?>
            			<img src="<?php echo esc_url($titlebg); ?>">
            		<?php else: ?>
            				<span class="icon flaticon-pawprint-1"></span>
            		<?php endif ?>
                	
                </div>
                <div class="title"><?php echo $atts['small_title']; ?></div>
                <h2><?php echo $atts['title']; ?></h2>
            </div>

			<!--Default Form-->
            <div class="default-form">
                <div class="form-box">
			        <?php echo do_shortcode('[cmb_frontend_form]'); ?>
			     </div>
            </div>
            <!--End Default Form-->

        </div>
    </section>
    <!--End Appointment Section-->
		 <?php
    
    $html = ob_get_clean();
    return $html;
});
// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        vc_map(array(
                'name'              => esc_html__('Appopintment  Section', 'petenica-core'),
                'description'       => esc_html__('Create appointment section ', 'petenica-core'),
                'base'              => 'petenica_appointment_sec',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(

                	array(
                        'type' => 'textfield',
                        'param_name' => 'title',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'value' => 'News from our company',                        
                    ),
                	array(
                        'type' => 'textfield',
                        'param_name' => 'small_title',
                        'heading' => esc_html__('Small title', 'petenica-core'),
                        'value' => 'RECENT WORK',
                        'holder' => 'h2',
                        
                    ),
                    array(
                                'type' => 'attach_image',
                                'param_name' => 'titlebg',
                                'heading' => esc_html__('Title Icon Image', 'petenica-core'),
                                'value' => ''
                            ),
                ) 
            )
        );

    }
});


 ?>
