<?php
add_shortcode('petenica_catposts', function($atts, $content) {
    ob_start();

    $atts = shortcode_atts(array(
        'title'         => 'What’s Happening',
        'small_title'   => 'Because We Really Care About Your Pets',
        'ppp'           => 3,
        'columns'           => 3,
        'category_id'   => '',
        'posttype'    => '',
        'poststyle' => '',
        'titlesize' => '',
        'postcolumns' => '',
        'showpostmeta' => '',
        'showpostexcerpt' => '',
        'read_more'     => 'Read More',
        'order'         => 'ASC',
        
        
    ),$atts);
    $posts_per_page = $atts['ppp'];
    if ($posts_per_page == 0) {
      $posts_per_page = 1;
    }
    $posts = new WP_Query(array(
        'post_type' => $atts['posttype'],
        'posts_per_page' => $posts_per_page,
        'category_name' => $atts['category_id'],
        
    ));
    $sytlecalss = '';
    if ($atts['poststyle'] == 'list') {
      $sytlecalss = 'col-md-6';
    }
        $postcolumns = 'col-md-6';
    if ($atts['postcolumns'] == 'col1') {
      $postcolumns = 'col-md-12';
    }
    if ($atts['postcolumns'] == 'col3') {
      $postcolumns = 'col-md-4';
    }
    $htag = $atts['titlesize'];
    if (empty($htag)) {
      $htag = 'h4';
      # code...
    }
    ?><style>
.cat-posts .posts{
    margin-bottom: 10px;
}
</style>
  <section class="cat-posts">
        
      
      <?php
        $i = 1;
        while ($posts->have_posts()) : $posts->the_post();
        ?>
       
     <?php if ($i<=$posts_per_page): ?>
       
    
     
       <div class="posts <?php echo $postcolumns; ?>">
        <div class="header-post">
          
            <div class="<?php echo $sytlecalss; ?>">
              <div class="himage ">
                <span class="cat">
                <?php echo $atts['category_id']; ?>
                </span>
                <a href="<?php the_permalink(); ?>">
                <?php if (has_post_thumbnail()): ?>
                  <?php the_post_thumbnail(); ?>
                  <?php else: ?>
                    <img src="<?php echo get_stylesheet_directory_uri().'/framework/assets/images/placeholder.jpg' ?>">
                <?php endif ?>
              </a>
                </div>
                
                
              </div>
          <div class="pcontent <?php echo $sytlecalss; ?>">
            <<?php echo $htag; ?>><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></<?php echo $htag; ?>>
          <?php if ($atts['showpostmeta']  == 'show'): ?>
            <div class="post-meta">
            <div class="post-meta-content">
              <span><i class="fa fa-user"></i> <?php the_author(); ?> </span>
              <span><i class="fa fa-comments"></i> <?php comments_number( '0 comment', '1 comment', '% comments' ); ?> </span>
            </div>
          </div>
          <?php endif ?>
          <?php if ($atts['showpostexcerpt']  == 'show'): ?>
            <p><?php echo substr(get_the_excerpt( ), 0,150) ?></p>
          <?php endif; ?>
          </div>
                    
        </div>
      </div> 
       <?php endif ?>
      <?php 
       
$i++;
                endwhile;
                wp_reset_postdata();
                ?>   
  </section> 
 <?php
    $html = ob_get_clean();
    return $html;
});





// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
      $categories_array = array('select');
$categories = get_categories();
foreach( $categories as $category ){
  $categories_array[] = $category->slug;
}
$posttypes = array('select');
 

   $posttypes[] ='post';
   $posttypes['Pet'] ='petenicapet';

        vc_map(array(
                'name'              => esc_html__('Category Posts ', 'petenica-core'),
                'description'       => esc_html__('Display posts of cateogry ', 'petenica-core'),
                'base'              => 'petenica_catposts',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                    
                    array(
                        'type' => 'textfield',
                        'param_name' => 'title',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'value' => 'News from our company',                        
                    ),
                  array(
                        'type' => 'textfield',
                        'param_name' => 'small_title',
                        'heading' => esc_html__('Small title', 'petenica-core'),
                        'value' => 'RECENT WORK',
                        'holder' => 'h2',
                        
                    ),
                  array(
                      'param_name'    => 'posttype',
                      'type'          => 'dropdown',
                      'value'         => $posttypes, // here I'm stuck
                      'heading'       => __('Post Type:', 'petenica-core'),
                      'description'   => '',
                      'holder'        => 'div',
                      'class'         => ''
                    ),
                  array(
                      'param_name'    => 'poststyle',
                      'type'          => 'dropdown',
                      'value'         => array(
                        'Select ' => '',
                        'Box' => 'box',
                        'List' => 'list'
                      ), // here I'm stuck
                      'heading'       => __('Post Style', 'petenica-core'),
                      'description'   => '',
                      'holder'        => 'div',
                      'class'         => ''
                    ),
                  array(
                      'param_name'    => 'titlesize',
                      'type'          => 'dropdown',
                      'value'         => array(
                        'Select ' => '',
                        'H3' => 'h3',
                        'H4' => 'h4',
                        'H5' => 'h5',
                        'H6' => 'h6',
                      ), // here I'm stuck
                      'heading'       => __('Title Heading Size', 'petenica-core'),
                      'description'   => '',
                      'holder'        => 'div',
                      'class'         => ''
                    ),
                  array(
                      'param_name'    => 'postcolumns',
                      'type'          => 'dropdown',
                      'value'         => array(
                        'Select ' => '',
                        '1 Column' => 'col1',
                        '2 Columns' => 'col2',
                        '3 Columns' => 'col3'
                      ), // here I'm stuck
                      'heading'       => __('Post Style', 'petenica-core'),
                      'description'   => '',
                      'holder'        => 'div',
                      'class'         => ''
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'ppp',
                        'heading' => esc_html__('Posts show count', 'petenica-core'),
                        'value' => 3,
                    ),
                    array(
                      'param_name'    => 'category_id',
                      'type'          => 'dropdown',
                      'value'         => $categories_array, // here I'm stuck
                      'heading'       => __('Category filter:', 'petenica-core'),
                      'description'   => '',
                      'holder'        => 'div',
                      'class'         => ''
                    ),
                    array(
                      'param_name'    => 'showpostmeta',
                      'type'          => 'dropdown',
                      'value'         => array(
                        'Select ' => '',
                        'Show' => 'show',
                        'Hide' => 'hide'
                      ), // here I'm stuck
                      'heading'       => __('Show Hide post meta', 'petenica-core'),
                      'description'   => '',
                      'holder'        => 'div',
                      'class'         => ''
                    ),
                    array(
                      'param_name'    => 'showpostexcerpt',
                      'type'          => 'dropdown',
                      'value'         => array(
                        'Select ' => '',
                        'Show' => 'show',
                        'Hide' => 'hide'
                      ), // here I'm stuck
                      'heading'       => __('Show Hide post Excerpt Text', 'petenica-core'),
                      'description'   => '',
                      'holder'        => 'div',
                      'class'         => ''
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'read_more',
                        'heading' => esc_html__('Read more link label', 'petenica-core'),
                        'value' => 'More Details'
                    ),
                ),
            )
        );

    }
});
