<?php
add_shortcode('petenica_contactform', function($atts, $content) {
    ob_start();

    $atts = shortcode_atts(array(
        'title' => 'Get In Touch',
        'subtitle' => 'Capitalize on low hanging fruit to identify a ballpark value added activity to beta test. ',
        'cf7' => '',
        'address_title'=>'Address',
        'address'=>'52A, Tailstoi Town 5238 <br> La city, IA 85796',
        'phno_title'=>'Phone',
        'phno'=>'0000 000 0000',
        'email_title'=>'email',
        'email'=>'info@petinica.com',
    ),$atts);
    $cform7 = '[contact-form-7 id="'.$atts['cf7'].'"]';
    
    ?>
        
    <!--Contact Section-->
    <section class="contact-section">
    	<div class="auto-container">
        	<div class="sec-title">
        		<h2><?php echo $atts['title']; ?></h2>
                        <p></p>
        		<h2></h2>
            	<div class="title"><?php echo $atts['subtitle']; ?></div>
            </div>
        	<div class="row clearfix">
            	<!--Form Column-->
            	<div class="form-column col-md-7 col-sm-12 col-xs-12">
                	
                    <!--Contact Form-->
                    <div class="contact-form">
                        <?php echo do_shortcode( $cform7 );?>
                    </div>
                    <!--Contact Form-->
                    
                </div>
                <!--Info Column-->
                <div class="info-column col-md-5 col-sm-12 col-xs-12">
                	<div class="inner-column">
                    	<ul>
                        	<li><span><?php echo $atts['address_title']; ?>:</span><?php echo $atts['address']; ?></li>
                            <li><span><?php echo $atts['phno_title']; ?>:</span><?php echo $atts['phno']; ?></li>
                            <li><span><?php echo $atts['email_title']; ?>:</span><?php echo $atts['email']; ?></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--End Contact Section-->
       


    <?php
    $html = ob_get_clean();
    return $html;
});



// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        $args = array('post_type' => 'wpcf7_contact_form', 'posts_per_page' => -1);
        $cf7_forms = array('0' =>'Select Form ID');
        if( $cf7Forms = get_posts( $args ) ){
            foreach($cf7Forms as $cf7Form){
                $cf7_forms[$cf7Form->post_title] = $cf7Form->ID;
                //echo(do_shortcode('[contact-form-7 id="'.$cf7Form->ID.'" title="'.($cf7Form->post_title).'"]'));
            }
        } vc_map(array(
                'name'              => esc_html__('Contact Form', 'petenica-core'),
                'description'       => esc_html__('contact form', 'petenica-core'),
                'base'              => 'petenica_contactform',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                    array(
                        'type' => 'textfield',
                        'param_name' => 'title',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'subtitle',
                        'heading' => esc_html__('Sub Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                   array(
                        'type' => 'dropdown',
                        'heading' => __( 'Select Contact Form', 'js_composer' ),
                        'param_name' => 'cf7',
                        'value' => $cf7_forms,
                        'save_always' => true,
                        
                    ),
                   	array(
                        'type' => 'textfield',
                        'param_name' => 'address_title',
                        'heading' => esc_html__('Address Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'address',
                        'heading' => esc_html__('Address ', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                  	array(
                        'type' => 'textfield',
                        'param_name' => 'phno_title',
                        'heading' => esc_html__('Phone Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'phno',
                        'heading' => esc_html__('Phone ', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                 	array(
                        'type' => 'textfield',
                        'param_name' => 'email_title',
                        'heading' => esc_html__('Email Title', 'petenica-core'),
                        'holder' => 'h2'
                    ), 
                 	array(
                        'type' => 'textfield',
                        'param_name' => 'email',
                        'heading' => esc_html__('Email', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                ),
            )
        );

    }
});
