<?php
add_shortcode('petenica_counter2', function($atts, $content) {
    ob_start();

    $atts = shortcode_atts(array(
        'bg_image'=> '',
        'title' => '<span>We Offers The Best</span>Pet Care Solutions',
        'count_style' => 'style1'
    ),$atts);
    $counters = vc_param_group_parse_atts($content);
    $bg_image = wp_get_attachment_image_src($atts['bg_image'], 'full');
    $bg_image = isset($bg_image[0]) ? $bg_image[0] : '';
    $countcols = 3;
    if($atts['count_style']=='style2') {
        $countcols = 4;
    }
    ?>
    <!--Counter Section-->
    <section class="counter-section-4">
        <div class="container">
            <div class="counter-box">
              <div class="inner-container">
                  <div class="row clearfix">
                   <?php
                   foreach ($counters as $counter) {

                    ?>
                        <!--Column-->
                        <div class="column count-box col-lg-3 col-md-3 col-sm-3 col-xs-12 counted">
                              <div class="inner">
                                  <div class="icon-box">
                                    <img src="<?php echo get_template_directory_uri(); ?>/framework/assets/images/icons/<?php echo $counter['count_icon'] ?>" alt="">
                                </div>
                                <div class="content">
                                  <div class="count-outer count-box">
                                      <h2 class="count-text" data-speed="1000" data-stop="<?php echo $counter['count_to'] ?>">0 </h2>
                                  </div>
                                  <p><?php echo $counter['count_label'] ?></p>
                                </div>
                            </div>
                        </div>
                    <?php } ?>

                    </div>
                </div>
            </div>
        </div>

    </section>





<?php



$html = ob_get_clean();
return $html;
});



// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        vc_map(array(
            'name'              => esc_html__('Counter 2', 'petenica-core'),
            'description'       => esc_html__('Display counter section.', 'petenica-core'),
            'base'              => 'petenica_counter2',
            'category'          => esc_html__('petenica', 'petenica-core'),
            'params'            => array(
               array(
                  'type'        => 'dropdown',
                  'heading'     => __('Style'),
                  'param_name'  => 'count_style',
                  'admin_label' => true,
                  'value'       => array(
                    'style 1(4 columns)' => 'style1',
                    'style 2(3 columns)' => 'style2',
                )),
               array(
                'type' => 'attach_image',
                'param_name' => 'bg_image',
                'heading' => esc_html__('Background Image', 'petenica-core'),
                'value' => ''
            ),
               array(
                'type' => 'textfield',
                'param_name' => 'title',
                'heading' => esc_html__('Title', 'petenica-core'),
                'holder' => 'h2'
            ),
               array(
                'type' => 'param_group',
                'value' => '',
                'param_name' => 'content',
                'heading' => esc_html__('Counters', 'petenica-core'),
                'params' => array(
                    array(
                        'type'        => 'dropdown',
                        'heading'     => __('Icon'),
                        'param_name'  => 'count_icon',
                        'admin_label' => true,
                        'value'       => array(
                         "scale" => "001-scale.png",
"blood" => "002-blood.png",
"food-1" => "003-food-1.png",
"vaccine" => "004-vaccine.png",
"blood-donation" => "005-blood-donation.png",
"toy" => "006-toy.png",
"spray" => "007-spray.png",
"care" => "008-care.png",
"siren" => "009-siren.png",
"24-hours" => "010-24-hours.png",
"van" => "011-van.png",
"veterinary-4" => "012-veterinary-4.png",
"veterinary-3" => "013-veterinary-3.png",
"call-center" => "014-call-center.png",
"clinic" => "015-clinic.png",
"flea" => "016-flea.png",
"veterinary-2" => "017-veterinary-2.png",
"shampoo" => "018-shampoo.png",
"doctor" => "019-doctor.png",
"certificate" => "020-certificate.png",
"test" => "021-test.png",
"search" => "022-search.png",
"collar-1" => "023-collar-1.png",
"bell" => "024-bell.png",
"medicine" => "025-medicine.png",
"band-aid" => "026-band-aid.png",
"veterinary-1" => "027-veterinary-1.png",
"stethoscope" => "028-stethoscope.png",
"collar" => "029-collar.png",
"award" => "030-award.png",
"schedule" => "031-schedule.png",
"heart-rate" => "032-heart-rate.png",
"thermometer" => "033-thermometer.png",
"cage-1" => "034-cage-1.png",
"dog" => "035-dog.png",
"cat" => "036-cat.png",
"snack" => "037-snack.png",
"pills" => "038-pills.png",
"bowl" => "039-bowl.png",
"first-aid-kit" => "040-first-aid-kit.png",
"grooming" => "041-grooming.png",
"cage" => "042-cage.png",
"house" => "043-house.png",
"fountain" => "044-fountain.png",
"poo" => "045-poo.png",
"bone" => "046-bone.png",
"food" => "047-food.png",
"milk" => "048-milk.png",
"veterinary" => "049-veterinary.png",
"injection" => "050-injection.png",
                      )),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'count_to',
                        'heading' => esc_html__('Count to', 'petenica-core'),
                        'description' => esc_html__('Input the value in numeric number', 'petenica-core'),
                        'value' => '748'
                    ),

                    array(
                        'type' => 'textfield',
                        'param_name' => 'count_label',
                        'heading' => esc_html__('Count label', 'petenica-core'),
                        'value' => 'Pet Adoptions'
                    ),
                )
            )
),
)
);

}
});
