<?php
add_shortcode('petenica_features3_sec', function($atts, $content) {
    ob_start();

    $atts = shortcode_atts(array(
        'bg_image'=> '',
        'icon1' => 'flaticon-face-of-staring-dog',
        'title1'=> 'Top Class Facilities',
        'text1'=> 'Well gaudy hound hired set flailed much followed less this maternal well unavoidable crudely aloof more save groomed.',
        'icon2' => 'flaticon-dog-bone',
        'title2'=> 'Experienced Staff',
        'text2'=> 'Well gaudy hound hired set flailed much followed less this maternal well unavoidable crudely aloof more save groomed.',
        'icon3' => 'flaticon-pawprint-1',
        'title3'=> 'Easy Consultation',
        'text3'=> 'Well gaudy hound hired set flailed much followed less this maternal well unavoidable crudely aloof more save groomed.',        
    ),$atts);

  
    $bg_image = wp_get_attachment_image_src($atts['bg_image'], 'full');
    $bg_image = isset($bg_image[0]) ? $bg_image[0] : '';
    
        ?>
        <section class="featured-section features-sec-4">
        <div class="auto-container">
            <div class="row clearfix">
                
                <!--Featured Block-->
                <div class="featured-block col-md-4 col-sm-6 col-xs-12">
                    <div class="inner-box wow fadeInLeft animated" data-wow-duration="500ms" data-wow-delay="0ms" style="visibility: visible; animation-duration: 500ms; animation-delay: 0ms; animation-name: fadeInLeft;">
                        <div class="inner_content">
                            <div class="features-icon-1">
                                 <img src="<?php echo get_template_directory_uri(); ?>/framework/assets/images/icons/<?php echo $atts['icon1'] ?>" alt="">
                            </div>  
                            <div class="features-details">
                           <h4><?php echo $atts['title1']; ?></h4>  
                           <p><?php echo $atts['text1']; ?></p>    
                        </div>
                        </div>
                    </div>
                </div>
                
                <!--Featured Block-->
                <div class="featured-block col-md-4 col-sm-6 col-xs-12">
                    <div class="inner-box wow fadeInLeft animated" data-wow-duration="1500ms" data-wow-delay="0ms" style="visibility: visible; animation-duration: 1500ms; animation-delay: 0ms; animation-name: fadeInLeft;">
                        <div class="features-icon-2">
                            <img src="<?php echo get_template_directory_uri(); ?>/framework/assets/images/icons/<?php echo $atts['icon2'] ?>" alt="">    
                        </div>  
                        <div class="features-details">
                           <h4><?php echo $atts['title2']; ?></h4>  
                           <p><?php echo $atts['text2']; ?></p>    
                        </div>
                    </div>
                </div>
                
                <!--Featured Block-->
                <div class="featured-block col-md-4 col-sm-6 col-xs-12">
                    <div class="inner-box wow fadeInLeft animated" data-wow-duration="2500ms" data-wow-delay="0ms" style="visibility: visible; animation-duration: 2500ms; animation-delay: 0ms; animation-name: fadeInLeft;">
                        <div class="features-icon-3">
                          <img src="<?php echo get_template_directory_uri(); ?>/framework/assets/images/icons/<?php echo $atts['icon3'] ?>" alt="">       
                        </div>  
                        <div class="features-details">
                            <h4><?php echo $atts['title3']; ?></h4>
                            <p><?php echo $atts['text3']; ?></p>
                        </div>
                    </div>
                </div>
                
            </div>
        </div>
    </section>
        <!--Featured Section Three-->
  
    
      
		 <?php
    
    $html = ob_get_clean();
    return $html;
});
// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        vc_map(array(
                'name'              => esc_html__('Features 3  Section', 'petenica-core'),
                'description'       => esc_html__('Create Features section ', 'petenica-core'),
                'base'              => 'petenica_features3_sec',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                    array(
                                'type' => 'attach_image',
                                'param_name' => 'bg_image',
                                'heading' => esc_html__('Background Image', 'petenica-core'),
                                'value' => ''
                            ),

                    array(
                            'type' => 'iconpicker',
                            'param_name' => 'icon',
                            'settings' => array(
                                'emptyIcon' => false,
                                'type' => 'flaticon',
                                'iconsPerPage' => 200,
                            ),
                            'dependency' => array(
                                'element' => 'icon_type',
                                'value' => 'flaticon',
                            ),
                            'value' => 'fa-transport',
                            'heading' => esc_html__('Icon', 'applord-core')
                        ),
                    
                  array(
                        'type'        => 'dropdown',
                        'heading'     => __('Icon'),
                        'param_name'  => 'icon1',
                        'admin_label' => true,
                        'value'       => array(
                         "scale" => "001-scale.png",
"blood" => "002-blood.png",
"food-1" => "003-food-1.png",
"vaccine" => "004-vaccine.png",
"blood-donation" => "005-blood-donation.png",
"toy" => "006-toy.png",
"spray" => "007-spray.png",
"care" => "008-care.png",
"siren" => "009-siren.png",
"24-hours" => "010-24-hours.png",
"van" => "011-van.png",
"veterinary-4" => "012-veterinary-4.png",
"veterinary-3" => "013-veterinary-3.png",
"call-center" => "014-call-center.png",
"clinic" => "015-clinic.png",
"flea" => "016-flea.png",
"veterinary-2" => "017-veterinary-2.png",
"shampoo" => "018-shampoo.png",
"doctor" => "019-doctor.png",
"certificate" => "020-certificate.png",
"test" => "021-test.png",
"search" => "022-search.png",
"collar-1" => "023-collar-1.png",
"bell" => "024-bell.png",
"medicine" => "025-medicine.png",
"band-aid" => "026-band-aid.png",
"veterinary-1" => "027-veterinary-1.png",
"stethoscope" => "028-stethoscope.png",
"collar" => "029-collar.png",
"award" => "030-award.png",
"schedule" => "031-schedule.png",
"heart-rate" => "032-heart-rate.png",
"thermometer" => "033-thermometer.png",
"cage-1" => "034-cage-1.png",
"dog" => "035-dog.png",
"cat" => "036-cat.png",
"snack" => "037-snack.png",
"pills" => "038-pills.png",
"bowl" => "039-bowl.png",
"first-aid-kit" => "040-first-aid-kit.png",
"grooming" => "041-grooming.png",
"cage" => "042-cage.png",
"house" => "043-house.png",
"fountain" => "044-fountain.png",
"poo" => "045-poo.png",
"bone" => "046-bone.png",
"food" => "047-food.png",
"milk" => "048-milk.png",
"veterinary" => "049-veterinary.png",
"injection" => "050-injection.png",
                      )),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'title1',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'text1',
                        'heading' => esc_html__('Sub Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                  array(
                        'type'        => 'dropdown',
                        'heading'     => __('Icon'),
                        'param_name'  => 'icon2',
                        'admin_label' => true,
                        'value'       => array(
                         "scale" => "001-scale.png",
"blood" => "002-blood.png",
"food-1" => "003-food-1.png",
"vaccine" => "004-vaccine.png",
"blood-donation" => "005-blood-donation.png",
"toy" => "006-toy.png",
"spray" => "007-spray.png",
"care" => "008-care.png",
"siren" => "009-siren.png",
"24-hours" => "010-24-hours.png",
"van" => "011-van.png",
"veterinary-4" => "012-veterinary-4.png",
"veterinary-3" => "013-veterinary-3.png",
"call-center" => "014-call-center.png",
"clinic" => "015-clinic.png",
"flea" => "016-flea.png",
"veterinary-2" => "017-veterinary-2.png",
"shampoo" => "018-shampoo.png",
"doctor" => "019-doctor.png",
"certificate" => "020-certificate.png",
"test" => "021-test.png",
"search" => "022-search.png",
"collar-1" => "023-collar-1.png",
"bell" => "024-bell.png",
"medicine" => "025-medicine.png",
"band-aid" => "026-band-aid.png",
"veterinary-1" => "027-veterinary-1.png",
"stethoscope" => "028-stethoscope.png",
"collar" => "029-collar.png",
"award" => "030-award.png",
"schedule" => "031-schedule.png",
"heart-rate" => "032-heart-rate.png",
"thermometer" => "033-thermometer.png",
"cage-1" => "034-cage-1.png",
"dog" => "035-dog.png",
"cat" => "036-cat.png",
"snack" => "037-snack.png",
"pills" => "038-pills.png",
"bowl" => "039-bowl.png",
"first-aid-kit" => "040-first-aid-kit.png",
"grooming" => "041-grooming.png",
"cage" => "042-cage.png",
"house" => "043-house.png",
"fountain" => "044-fountain.png",
"poo" => "045-poo.png",
"bone" => "046-bone.png",
"food" => "047-food.png",
"milk" => "048-milk.png",
"veterinary" => "049-veterinary.png",
"injection" => "050-injection.png",
                      )),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'title2',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'text2',
                        'heading' => esc_html__('Sub Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                   array(
                        'type'        => 'dropdown',
                        'heading'     => __('Icon'),
                        'param_name'  => 'icon3',
                        'admin_label' => true,
                        'value'       => array(
                         "scale" => "001-scale.png",
"blood" => "002-blood.png",
"food-1" => "003-food-1.png",
"vaccine" => "004-vaccine.png",
"blood-donation" => "005-blood-donation.png",
"toy" => "006-toy.png",
"spray" => "007-spray.png",
"care" => "008-care.png",
"siren" => "009-siren.png",
"24-hours" => "010-24-hours.png",
"van" => "011-van.png",
"veterinary-4" => "012-veterinary-4.png",
"veterinary-3" => "013-veterinary-3.png",
"call-center" => "014-call-center.png",
"clinic" => "015-clinic.png",
"flea" => "016-flea.png",
"veterinary-2" => "017-veterinary-2.png",
"shampoo" => "018-shampoo.png",
"doctor" => "019-doctor.png",
"certificate" => "020-certificate.png",
"test" => "021-test.png",
"search" => "022-search.png",
"collar-1" => "023-collar-1.png",
"bell" => "024-bell.png",
"medicine" => "025-medicine.png",
"band-aid" => "026-band-aid.png",
"veterinary-1" => "027-veterinary-1.png",
"stethoscope" => "028-stethoscope.png",
"collar" => "029-collar.png",
"award" => "030-award.png",
"schedule" => "031-schedule.png",
"heart-rate" => "032-heart-rate.png",
"thermometer" => "033-thermometer.png",
"cage-1" => "034-cage-1.png",
"dog" => "035-dog.png",
"cat" => "036-cat.png",
"snack" => "037-snack.png",
"pills" => "038-pills.png",
"bowl" => "039-bowl.png",
"first-aid-kit" => "040-first-aid-kit.png",
"grooming" => "041-grooming.png",
"cage" => "042-cage.png",
"house" => "043-house.png",
"fountain" => "044-fountain.png",
"poo" => "045-poo.png",
"bone" => "046-bone.png",
"food" => "047-food.png",
"milk" => "048-milk.png",
"veterinary" => "049-veterinary.png",
"injection" => "050-injection.png",
                      )),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'title3',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'text3',
                        'heading' => esc_html__('Sub Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
            ))
        );

    }
});

 ?>
