<?php
add_shortcode('petenica_mnews', function($atts, $content) {
    ob_start();

    $atts = shortcode_atts(array(
        'title'         => 'What’s Happening',
        'small_title'   => 'Because We Really Care About Your Pets',
        'ppp'           => 3,
        'columns'           => 3,
        'category_id'   => '',
        'showpostmeta' => '',
        'read_more'     => 'Read More',
        'order'         => 'ASC',
        
        
    ),$atts);
    $posts_per_page = $atts['ppp'];
    if ($posts_per_page == 0) {
      $posts_per_page = 1;
    }
    $posts = new WP_Query(array(
        'post_type' => 'post',
        'posts_per_page' => $posts_per_page,
        'category_name' => $atts['category_id'],
        
    ));
    ?>
  
      <?php
        $i = 1;
        while ($posts->have_posts()) : $posts->the_post();
        ?>
       
     <?php if ($i<=$posts_per_page): ?>
       
    
     
       <div class="posts ">
        <div class="header-post">
          <div class="himage">
            <span class="cat">
            <?php echo $atts['category_id']; ?>
          </span>
          <a href="<?php the_permalink(); ?>">
            <?php if (has_post_thumbnail()): ?>
              
              <?php the_post_thumbnail(); ?>
              <?php else: ?>
                <img src="<?php echo get_stylesheet_directory_uri().'/framework/assets/images/placeholder.jpg' ?>">

            <?php endif ?>
                          </a>
          </div>
          <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
          <?php if ($atts['showpostmeta']  == 'show'): ?>
            <div class="post-meta">
            <div class="post-meta-content">
              <span><i class="fa fa-user"></i> <?php the_author(); ?> </span>
              <span><i class="fa fa-comments"></i> <?php comments_number( '0 comment', '1 comment', '% comments' ); ?> </span>
            </div>
          </div>
          <?php endif ?>
          
        </div>
      </div> 
       <?php endif ?>
      <?php 
       
$i++;
                endwhile;
                wp_reset_postdata();
                ?>    
   
 <?php
    $html = ob_get_clean();
    return $html;
});





// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
      $categories_array = array();
$categories = get_categories();
foreach( $categories as $category ){
  $categories_array[] = $category->slug;
}
        vc_map(array(
                'name'              => esc_html__('Blog Posts for header', 'petenica-core'),
                'description'       => esc_html__('Display blog posts for magzine header', 'petenica-core'),
                'base'              => 'petenica_mnews',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                    
                    array(
                        'type' => 'textfield',
                        'param_name' => 'title',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'value' => 'News from our company',                        
                    ),
                  array(
                        'type' => 'textfield',
                        'param_name' => 'small_title',
                        'heading' => esc_html__('Small title', 'petenica-core'),
                        'value' => 'RECENT WORK',
                        'holder' => 'h2',
                        
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'ppp',
                        'heading' => esc_html__('Posts show count', 'petenica-core'),
                        'value' => 3,
                    ),
                    array(
                      'param_name'    => 'category_id',
                      'type'          => 'dropdown',
                      'value'         => $categories_array, // here I'm stuck
                      'heading'       => __('Category filter:', 'overmax'),
                      'description'   => '',
                      'holder'        => 'div',
                      'class'         => ''
                    ),
                    array(
                      'param_name'    => 'showpostmeta',
                      'type'          => 'dropdown',
                      'value'         => array(
                        'Select ' => '',
                        'Show' => 'show',
                        'Hide' => 'hide'
                      ), // here I'm stuck
                      'heading'       => __('Show Hide post meta', 'overmax'),
                      'description'   => '',
                      'holder'        => 'div',
                      'class'         => ''
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'read_more',
                        'heading' => esc_html__('Read more link label', 'petenica-core'),
                        'value' => 'More Details'
                    ),
                ),
            )
        );

    }
});
