<?php
add_shortcode('petenica_adpoteapet', function($atts, $content) {
  ob_start();
  $atts = shortcode_atts(array(
   'title' => 'Pets Available For Adoption'
 ),$atts);
 ?>
 <section class="adopted-sec">
   <!-- start content -->
   <div class="row">
    <div class="container text-center">
      <!--Sec Title-->
      <div class="sec-title centered">
        <div class="separator">
          <?php if (!empty($titlebg)): ?>
            <img src="<?php echo esc_url($titlebg); ?>">
            <?php else: ?>
              <span class="icon flaticon-pawprint-1"></span>
            <?php endif ?>
          </div>
          <h2><?php echo $atts['title']; ?></h2>
        </div>
        <!-- start grid -->
        <div id="petcarousel2_items" class="owl-carousel owl-theme">
          <?php $args = array('posts_per_page' => -1,'post_type' => 'petenicapet',);
          $query = new WP_Query( $args );
          if ($query-> have_posts()) {
           while ($query->have_posts()) {
            $query-> the_post();
            $pet_name = get_post_meta( get_the_ID(), 'petenica_meta_pet_name', true );    
            //$pet_type = get_post_meta( get_the_ID(), 'petenica_meta_type', true );
            //$pet_breed = get_post_meta( get_the_ID(), 'petenica_meta_breed', true );
            //$pet_location = get_post_meta( get_the_ID(), 'petenica_meta_location', true );
            $images = get_post_meta( get_the_ID(), 'petenica_meta_pet_images', 1);
             $inprogress = get_post_meta( get_the_ID(), 'petenica_meta_adoption', true ); ?>
             <?php if ($inprogress == 'no' || $inprogress == 'No'): ?>
            <!--Pets Block-->
            <div class="pet-block  ">
              <div class="inner-box">
                <div class="image">
                  <?php 
                  $count = 1; 
                  if (!empty($images)) {
                    foreach ($images as $id => $url) {            
                      if ($count == 1) {
                        echo  wp_get_attachment_image( $id, 'petenica-petsimg' );
                        $count++;
                      }
                    }
                  }
                  ?>
                </div>
                <div class="lower-content">
                  <h3><a href="<?php the_permalink(); ?>"><?php echo esc_html( $pet_name ); ?></a></h3>
                  </div>
                </div>
              </div>
               <?php endif ?>
              <?php     
            }
            ?>
            <?php 
          }else{ ?>
            <h2><?php esc_html_e( 'Sorry nothing found', 'petenica' ); ?></h2>
          <?php }
          ?>     </div>
        </div>
      </div>
    </section>
    <?php
    $html = ob_get_clean();
    return $html;
  });
global $terms;
// VC Config
add_action( 'init', function() {
 $categories_array = array('select' => '');
 $categories = get_categories(array('taxonomy' => 'pet-type',));
 foreach( $categories as $category ) {
  $categories_array[$category->name] = $category->slug;
}
if( function_exists('vc_map') ) {
  vc_map(array(
    'name'              => esc_html__('Show Pets For Adoption ', 'petenica-core'),
    'description'       => esc_html__('Display Pets', 'petenica-core'),
    'base'              => 'petenica_adpoteapet',
    'category'          => esc_html__('petenica', 'petenica-core'),
    'params'            => array(
       
        array(
          'type' => 'textfield',
          'param_name' => 'title',
          'heading' => esc_html__('Pets', 'petenica-core'),
          'value' => 'Pets Available For Adoption',
        ),
      ),
  )
);
}
});