<?php
add_shortcode('petenica_testimonial2', function($atts, $content) {
    ob_start();

    $atts = shortcode_atts(array(
      
    ),$atts);

  
  
    $quotes = vc_param_group_parse_atts($content);
    ?>
    <section class="testimonial-style-two">
            <div class="container">
                <div class="testimonial-carousel-two owl-carousel owl-theme">
                    <?php
                        foreach($quotes as $quote) {
                            $author_image = wp_get_attachment_image_src($quote['author_image'], 'full');
                            ?>
                    <div class="item">
                        <div class="single-testimonial-style-two">
                            <div class="img-box">
                                <div class="inner">
                                    <img src="<?php echo $author_image[0]; ?>" alt="<?php echo $quote['author_name']; ?>">
                        </div><!-- /.inner -->
                                </div><!-- /.img-box -->
                                <div class="text-box">
                                    <h3><?php echo $quote['author_name']; ?> <span><?php echo $quote['author_designation']; ?></span></h3>
                                    <p><?php echo $quote['quote']; ?> </p>
                                </div><!-- /.text-box -->
                            </div><!-- /.single-testimonial-style-two -->
                        </div><!-- /.item -->
                         <?php
                        }
                        ?>        
                       
                        </div><!-- /.row -->
                    </div><!-- /.container -->
        </section><!-- /.testimonial-style-two -->

 

    <?php
    $html = ob_get_clean();
    return $html;
});



// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        vc_map(array(
                'name'              => esc_html__('Testimonial 2', 'petenica-core'),
                'description'       => esc_html__('Full width section', 'petenica-core'),
                'base'              => 'petenica_testimonial2',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                    
                   
                    array(
                        'type' => 'param_group',
                        'value' => '',
                        'param_name' => 'content',
                        'heading' => esc_html__('testional', 'petenica-core'),
                        'params' => array(
                            array(
                                'type' => 'textarea',
                                'param_name' => 'quote',
                                'heading' => esc_html__('Quote Text', 'petenica-core'),
                                'default'	=> 'And taped a amazingly lazily far gosh oh bald oh raffishly ouch ladybug far that the and alas slapped alas far brusque pridefully kneeled python horse alas sound because more prodigiously outgrew tortoise characteristic stupidly  barring therefore so sniffed before drank.'
                            ),
                            array(
                                'type' => 'attach_image',
                                'param_name' => 'author_image',
                                'heading' => esc_html__('Quote Author image', 'petenica-core'),

                            ),
                            array(
                                'type' => 'textfield',
                                'param_name' => 'author_name',
                                'heading' => esc_html__('Author Name', 'petenica-core'),
                                'default'	=> 'Tina Cambell'
                            ),
                            array(
                                'type' => 'textfield',
                                'param_name' => 'author_designation',
                                'heading' => esc_html__('Author Designation', 'petenica-core'),
                                'default'	=> 'pet owner'
                            ),
                        )
                    )
                ),
            )
        );

    }
});
