<?php
add_shortcode('petenica_welcome_sec', function($atts, $content) {
    ob_start();

    $atts = shortcode_atts(array(
        'left_image'=> '',
        'title' => 'Welcome to Petenica',
        'subtitle' => 'Because We Really Care Welcome Your Pets',
        'text' => '<p>Broadcast neglectful and poignantly well until and some listlessly amidst suc cessful concentrically ably dachshund more far but forwardly echidna outside tiger split thanks far vibrantly gosh hence pangolin however notwithstanding leapt untruthful gauchely yikes komodo dully more.</p>
                            <p>As abandoned winced this more far wow jeepers near more wow goodness so revealed much along worm some grasshopper.</p>',
         
        'btntitle'=>'view our services',
        'btnlink'=> '#',
        'titlebg'=> ''
       
    ),$atts);

  
   $titlebg = wp_get_attachment_image_src($atts['titlebg'], 'full');
    $titlebg = isset($titlebg[0]) ? $titlebg[0] : '';

   // $image = wp_get_attachment_image_src($atts['image'], 'full');
    //$bg_image = wp_get_attachment_image_src($atts['bg_image'], 'full');
    //$bg_image = isset($bg_image[0]) ? $bg_image[0] : '';
    $left_image = wp_get_attachment_image_src($atts['left_image'], 'full');
    $left_image = isset($left_image[0]) ? $left_image[0] : '';
    
    
        ?>
        <!--Welcome Section-->
    <section class="welcome-section">
        <div class="auto-container">
            <!--Sec Title-->
            <div class="sec-title centered">
                <div class="separator">
                    <?php if (!empty($titlebg)): ?>
                        <img src="<?php echo esc_url($titlebg); ?>">
                    <?php else: ?>
                            <span class="icon flaticon-pawprint-1"></span>
                    <?php endif ?>
                </div>
                <div class="title"><?php echo $atts['subtitle'] ?></div>
                <h2><?php echo $atts['title'] ?></h2>
            </div>
            <div class="row clearfix">
                
                <!--Image Column-->
                <div class="image-column col-md-6 col-sm-12 col-xs-12">
                    <div class="image">
                        <img src="<?php echo $left_image; ?>" alt="" />
                    </div>
                </div>
                
                <!--Content Column-->
                <div class="content-column col-md-6 col-sm-12 col-xs-12">
                    <div class="inner-column">
                        <div class="text">
                            <?php echo $atts['text']; ?>
                        </div>
                        <?php echo $content; ?>
                        <a href="<?php echo $atts['btnlink']; ?>" class="theme-btn btn-style-two"><?php echo $atts['btntitle']; ?></a>
                    </div>
                </div>
                
            </div>
        </div>
    </section>
    <!--End Welcome Section-->
      
         <?php
    
    $html = ob_get_clean();
    return $html;
});
// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        vc_map(array(
                'name'              => esc_html__('Welcome  Section', 'petenica-core'),
                'description'       => esc_html__('Create Welcome section ', 'petenica-core'),
                'base'              => 'petenica_welcome_sec',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                    
                   
                    array(
                        'type' => 'textfield',
                        'param_name' => 'title',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'holder' => 'h2',
                        'value' => 'Welcome to Petenica'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'subtitle',
                        'heading' => esc_html__('Sub Title', 'petenica-core'),
                        'holder' => 'h2',
                        'value' => 'Because We Really Care Welcome Your Pets'
                    ),
                    array(
                                'type' => 'attach_image',
                                'param_name' => 'titlebg',
                                'heading' => esc_html__('Title Icon Image', 'petenica-core'),
                                'value' => ''
                            ),
                   array(
                                'type' => 'textarea',
                                'param_name' => 'text',
                                'heading' => esc_html__('Text', 'petenica-core'),
                                'value' => '<p>Broadcast neglectful and poignantly well until and some listlessly amidst suc cessful concentrically ably dachshund more far but forwardly echidna outside tiger split thanks far vibrantly gosh hence pangolin however notwithstanding leapt untruthful gauchely yikes komodo dully more.</p>
                            <p>As abandoned winced this more far wow jeepers near more wow goodness so revealed much along worm some grasshopper.</p>'
                                
                            ),
                   array(
                                 'type' => 'textarea_html',
                                'param_name' => 'content',
                                'heading' => esc_html__('Text2', 'petenica-core'),
                                'value' => '<ul class="list-style-one">
                            <li>Abore et dolore magna aliqua ut enim veniam</li>
                            <li>Quis nostrud exercitation ullamco laboris nisi aliquip</li>
                            <li>Eiusmod tempor incididunt labore.</li>
                        </ul>'
                                
                   ),
                    array(
                                'type' => 'attach_image',
                                'param_name' => 'left_image',
                                'heading' => esc_html__('Left Image', 'petenica-core'),
                                'value' => ''
                            ),

                 

                   array(
                                'type' => 'textfield',
                                'param_name' => 'btntitle',
                                'heading' => esc_html__('Button Title', 'petenica-core'),
                                'value' => 'view our services'
                            ),
                    array(
                                'type' => 'textfield',
                                'param_name' => 'btnlink',
                                'heading' => esc_html__('Button Link', 'petenica-core'),
                                'value' => '#'
                            ),
                    ),
            )
        );

    }
});

 ?>
