<?php
add_shortcode('petenica_welcome2_sec', function($atts, $content) {
    ob_start();

    $atts = shortcode_atts(array(
        'left_image'=> '',
        'title' => 'Welcome to Petenica Veterinary Clinic & Services',
        'subtitle' => 'With Best Facilities & Friendly Staff',
        'text' => '<p>Broadcast neglectful and poignantly well until and some listlessly amidst suc cessful concentrically ably dachshund more far but forwardly echidna outside tiger split thanks far vibrantly gosh hence pangolin however notwithstanding leapt untruthful gauchely yikes komodo dully more.</p>
                            <p>As abandoned winced this more far wow jeepers near more wow goodness so revealed much along worm some grasshopper.</p>',
         
        'btntitle'=>'view our services',
        'btnlink'=> '#',
        'titlebg'=> ''
       
    ),$atts);

  
   $titlebg = wp_get_attachment_image_src($atts['titlebg'], 'full');
    $titlebg = isset($titlebg[0]) ? $titlebg[0] : '';

   // $image = wp_get_attachment_image_src($atts['image'], 'full');
    //$bg_image = wp_get_attachment_image_src($atts['bg_image'], 'full');
    //$bg_image = isset($bg_image[0]) ? $bg_image[0] : '';
    $left_image = wp_get_attachment_image_src($atts['left_image'], 'full');
    $left_image = isset($left_image[0]) ? $left_image[0] : '';
    
    
        ?>
      
      <!--Welcome Section-->
    <section class="welcome-section welcome-sec-4">
        <div class="auto-container">
            <div class="row clearfix">
                <!--Image Column-->
                <div class="image-column col-md-6 col-sm-12 col-xs-12 wow fadeInLeft" data-wow-duration="2000ms" data-wow-delay="0ms">
                    <div class="image">
                        <img src="<?php echo $left_image; ?>" alt="" />
                    </div>
                </div>
                <!--Content Column-->
                <div class="content-column col-md-6 col-sm-12 col-xs-12 wow fadeInRight" data-wow-duration="2000ms" data-wow-delay="0ms">
                    <div class="inner-column">
                        <h1><?php echo $atts['title'] ?></h1>
                        <h3><?php echo $atts['subtitle'] ?></h3>
                        <div class="text">
                            <p><?php echo $atts['text']; ?></p>
                        </div>
                        <?php echo $content; ?>
                        <a href="<?php echo $atts['btnlink']; ?>" class="theme-btn"><?php echo $atts['btntitle']; ?></a>
                    </div>
                </div>
                
            </div>
        </div>
    </section>
    <!--End Welcome Section-->
         <?php
    
    $html = ob_get_clean();
    return $html;
});
// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        vc_map(array(
                'name'              => esc_html__('Welcome 2  Section', 'petenica-core'),
                'description'       => esc_html__('Create Welcome section ', 'petenica-core'),
                'base'              => 'petenica_welcome2_sec',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                    
                   
                    array(
                        'type' => 'textfield',
                        'param_name' => 'title',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'holder' => 'h2',
                        'value' => 'Welcome to Petenica'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'subtitle',
                        'heading' => esc_html__('Sub Title', 'petenica-core'),
                        'holder' => 'h2',
                        'value' => 'Because We Really Care Welcome Your Pets'
                    ),
                    array(
                                'type' => 'attach_image',
                                'param_name' => 'titlebg',
                                'heading' => esc_html__('Title Icon Image', 'petenica-core'),
                                'value' => ''
                            ),
                   array(
                                'type' => 'textarea',
                                'param_name' => 'text',
                                'heading' => esc_html__('Text', 'petenica-core'),
                                'value' => '<p>Broadcast neglectful and poignantly well until and some listlessly amidst suc cessful concentrically ably dachshund more far but forwardly echidna outside tiger split thanks far vibrantly gosh hence pangolin however notwithstanding leapt untruthful gauchely yikes komodo dully more.</p>
                            <p>As abandoned winced this more far wow jeepers near more wow goodness so revealed much along worm some grasshopper.</p>'
                                
                            ),
                   array(
                                 'type' => 'textarea_html',
                                'param_name' => 'content',
                                'heading' => esc_html__('Text2', 'petenica-core'),
                                'value' => '<ul class="list-style-two">
                            <li><i class="fa fa-chevron-right"></i>Hired set flailed much followed less this maternal</li>
                            <li><i class="fa fa-chevron-right"></i>Well unavoidable crudely aloof more save do groomed</li>
                            <li><i class="fa fa-chevron-right"></i>Rem ipsum dolor sit amet, consecter adipisicing elit sed</li>
                            <li><i class="fa fa-chevron-right"></i>Eiusmod tempor incididunt ut labore et dolor</li>
                        </ul>'
                                
                   ),
                    array(
                                'type' => 'attach_image',
                                'param_name' => 'left_image',
                                'heading' => esc_html__('Left Image', 'petenica-core'),
                                'value' => ''
                            ),

                 

                   array(
                                'type' => 'textfield',
                                'param_name' => 'btntitle',
                                'heading' => esc_html__('Button Title', 'petenica-core'),
                                'value' => 'view our services'
                            ),
                    array(
                                'type' => 'textfield',
                                'param_name' => 'btnlink',
                                'heading' => esc_html__('Button Link', 'petenica-core'),
                                'value' => '#'
                            ),
                    ),
            )
        );

    }
});

 ?>
