<?php 
/**
* 
*/
if (!class_exists('Woo_Deals')) {
	# code...

class Woo_Deals
{
	
	function __construct()
	{
		define( 'WCD_PLUGIN_FILE', __FILE__ );
		define( 'WCD_PLUGIN_DIR', __DIR__ );
		$this->wcd_url = untrailingslashit( plugin_dir_url( WCD_PLUGIN_FILE ) );
		add_action( 'wp_enqueue_scripts', array( $this, 'wcd_wp_enqueue_scripts' ) );
		$this->addmetacounter();
	}

	public function wcd_wp_enqueue_scripts() {

		
		//wp_enqueue_style( 'wcct_public_css', $this->wcct_url . '/assets/css/wcd_combined' . $min . '.css', array(), WCCT_VERSION );
		wp_enqueue_script( 'wcct_public_js', $this->wcd_url . '/assets/js/jquery.countdown.min.js', array( 'jquery' ), 1.0, true );

		
	}
	public function addmetacounter()
	{
		add_action( 'cmb2_admin_init', array( $this, 'woodeal_register_metabox') );
	}
	public function woodeal_register_metabox(){
		$cmb_deal = new_cmb2_box( array(
		'id'            => 'metabox',
		'title'         => esc_html__( 'Deal', 'cmb2' ),
		'object_types'  => array( 'product' ), // Post type
		// 'show_on_cb' => 'yourprefix_show_if_front_page', // function should return a bool value
		// 'context'    => 'normal',
		// 'priority'   => 'high',
		// 'show_names' => true, // Show field names on the left
		// 'cmb_styles' => false, // false to disable the CMB stylesheet
		// 'closed'     => true, // true to keep the metabox closed by default
		// 'classes'    => 'extra-class', // Extra cmb2-wrap classes
		// 'classes_cb' => 'yourprefix_add_some_classes', // Add classes through a callback.
	) );
		$cmb_deal->add_field( array(
		'name' => esc_html__( 'On Deal', 'cmb2' ),
		'desc' => esc_html__( 'Check if you want ot set item on deal', 'cmb2' ),
		'id'   => 'isdeal',
		'type' => 'checkbox',
	) );
		$cmb_deal->add_field( array(
		'name'       => esc_html__( 'Title for deal item', 'cmb2' ),
		'desc'       => esc_html__( 'enter deal item title here', 'cmb2' ),
		'id'         => 'itemtitle',
		'type'       => 'text',
		'show_on_cb' => 'yourprefix_hide_if_no_cats', // function should return a bool value
		// 'sanitization_cb' => 'my_custom_sanitization', // custom sanitization callback parameter
		// 'escape_cb'       => 'my_custom_escaping',  // custom escaping callback parameter
		// 'on_front'        => false, // Optionally designate a field to wp-admin only
		// 'repeatable'      => true,
		// 'column'          => true, // Display field value in the admin post-listing columns
	) );
		$cmb_deal->add_field( array(
		'name' => esc_html__( 'Deal End Date', 'cmb2' ),
		'desc' => esc_html__( 'Select end date for the deal', 'cmb2' ),
		'id'   =>  'enddate',
		'type' => 'text_date',
		// 'date_format' => 'Y-m-d',
	) );
		
	}
}
$woodeal = new Woo_Deals();
$woodeal->addmetacounter();
}
 ?>
