<?php
add_shortcode('petenica_map', function($atts, $content) {
    ob_start();

    $atts = shortcode_atts(array(
         'text' => '<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d83998.94722688387!2d2.277516834109516!3d48.858837739118826!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x0%3A0x791dd61b089f98b!2sLuxembourg+Gardens!5e0!3m2!1sen!2s!4v1492827801958" allowfullscreen></iframe>',
    ),$atts);
    
   
    ?>
    <!--Map Section-->
    <section class="map-section">
        <!--Map Outer-->
        <div class="map-outer">
            <!--Map Canvas-->
            <div class="map-canvas">
                 <?php echo  rawurldecode( base64_decode($atts['text'])); ?>
            </div>
        </div>
    </section>
    
		

<?php 
    $html = ob_get_clean();
    return $html;
});



// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        
        vc_map(array(
                'name'              => esc_html__('Map Section', 'petenica-core'),
                'description'       => esc_html__('Create map section', 'petenica-core'),
                'base'              => 'petenica_map',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                    array(
                        'type' => 'textarea_raw_html',
                        'param_name' => 'text',
                        'heading' => esc_html__('Enter IFrame code for google map', 'legaleagle-core'),
                        'value' => '',                        
                    ),
                   
                ),
            )
        );

    }
});
