<?php
add_shortcode('petenica_donations', function($atts, $content) {
    ob_start();

    $atts = shortcode_atts(array(
        'title' => 'Help Us & Save More Pets',                
        'giveform' => '',
        'giveform1' => '',
        'giveform2' => '',
        'subtext' => 'More forwardly echidna outside tiger split thanks vibrantly gosh hence pangolin however notwithstanding <br> leapt untruthful gauchely yikes komodo successful concentrically dully more.',
    ),$atts);
    $gform1 = '[give_form id="'.$atts['giveform'].'"]';
    $gform2 = '[give_form id="'.$atts['giveform1'].'"]';
    $gform3 = '[give_form id="'.$atts['giveform2'].'"]';
    ?>
    <!--Save Pets Section-->
    <section class="save-pets-section">
    	<div class="auto-container">
        	<h2><?php echo $atts['title']; ?></h2>
            <div class="text"><?php echo $atts['subtext']; ?></div>
            <div class="prices-block">
            	<div class="row clearfix">                	
                    <!--Price Block-->
                    <div class="price-block col-md-4 col-sm-6 col-xs-12">
                    	<div class="inner-box gform1">
                        	<h3><?php echo html_entity_decode(give_currency_symbol()); ?>
                        		<?php echo strtok(get_post_meta( $atts['giveform'], '_give_set_price', true), '.'); ?></h3>
                            <?php echo do_shortcode( $gform1 );?>
                        </div>
                    </div>                    
                    <!--Price Block-->
                    <div class="price-block col-md-4 col-sm-6 col-xs-12">
                    	<div class="inner-box gform2">
                        	<h3><?php echo html_entity_decode(give_currency_symbol()); ?>
                        		<?php echo strtok(get_post_meta( $atts['giveform1'], '_give_set_price', true), '.'); ?></h3>
                            <?php echo do_shortcode( $gform2 );?>
                        </div>
                    </div>                    
                    <!--Price Block-->
                    <div class="price-block col-md-4 col-sm-6 col-xs-12">
                    	<div class="inner-box gform3">
                        	<h3><?php echo html_entity_decode(give_currency_symbol()); ?>
                        		<?php echo strtok(get_post_meta( $atts['giveform2'], '_give_set_price', true), '.'); ?></h3>
                            <?php echo do_shortcode( $gform3 );?>
                        </div>
                    </div>                    
                </div>
            </div>
        </div>
    </section>
    <!--End Save Pets Section--> 
    <?php
    $html = ob_get_clean();
    return $html;
});



// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        $args = array('post_type' => 'give_forms', 'posts_per_page' => -1);

        $give_forms = array('0' =>'Select Form ID');
        if( $give_Forms = get_posts( $args ) ){//print_r($give_Forms);
            foreach($give_Forms as $give_form){
                $give_forms[$give_form->post_title] = $give_form->ID;
                //echo(do_shortcode('[contact-form-7 id="'.$give_form->ID.'" title="'.($give_form->post_title).'"]'));
            }
        } vc_map(array(
                'name'              => esc_html__('Donations', 'petenica-core'),
                'description'       => esc_html__('Donations form', 'petenica-core'),
                'base'              => 'petenica_donations',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                    array(
                        'type' => 'textfield',
                        'param_name' => 'title',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textarea',
                        'param_name' => 'subtext',
                        'heading' => esc_html__('Sub Text', 'petenica-core'),
                    ),
                   array(
                        'type' => 'dropdown',
                        'heading' => __( 'Select Donation Form', 'js_composer' ),
                        'param_name' => 'giveform',
                        'value' => $give_forms,
                        'save_always' => true,
                        
                    ),
                   array(
                        'type' => 'dropdown',
                        'heading' => __( 'Select Donation Form', 'js_composer' ),
                        'param_name' => 'giveform1',
                        'value' => $give_forms,
                        'save_always' => true,
                        
                    ),
                   array(
                        'type' => 'dropdown',
                        'heading' => __( 'Select Donation Form', 'js_composer' ),
                        'param_name' => 'giveform2',
                        'value' => $give_forms,
                        'save_always' => true,
                        
                    ),
                ),
            )
        );

    }
});
