<?php
add_shortcode('petenica_faqs', function($atts, $content) {
    ob_start();

    $atts = shortcode_atts(array(
        'title' => 'Faqs',
        'small_title' => 'Because We Really Care About Your Pets',
       
    ),$atts);

  
  
    $accordions = vc_param_group_parse_atts($content);
    ?>
     <section class="about-faq-section gray-bg section-padding">
            <div class="container">
                <div class="sec-title centered">
                    <div class="separator">
                        <span class="icon flaticon-pawprint-1"></span>
                    </div>
                    <div class="title"><?php echo $atts['small_title']; ?></div>
                    <h2><?php echo $atts['title'] ?></h2>
                </div>

                <div class="row">
                    <div class="col-md-12">
                        <div class="accrodion-grp" data-grp-name="faq-accrodion">
                            <?php
                            $count = 1;
                            $class = '';
                        foreach($accordions as $accordion) {
                            if ($count == 1) {
                                $class = 'active';
                            }
                            else{
                                 $class = '';
                            }
                            ?>
                            <div class="accrodion <?php echo $class; ?>">
                                <div class="accrodion-title">
                                    <h4><?php echo $accordion['title'] ?></h4>
                                </div>
                                <div class="accrodion-content">
                                    <p><?php echo $accordion['text'] ?></p>
                                </div>
                            </div>
                            <?php $count++;
                            } ?>
                           
                        </div>
                    </div><!-- /.col-md-12 -->
                </div><!-- /.row -->
            </div><!-- /.container -->
        </section><!-- /.about-faq-section -->

   
    <?php
    $html = ob_get_clean();
    return $html;
});



// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        vc_map(array(
                'name'              => esc_html__('Faq Section', 'petenica-core'),
                'description'       => esc_html__('Full width section', 'petenica-core'),
                'base'              => 'petenica_faqs',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                    
                    array(
                        'type' => 'textfield',
                        'param_name' => 'title',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'value' => 'Check what’s our client Say about us'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'small_title',
                        'heading' => esc_html__('Small title', 'petenica-core'),
                        'value' => 'Faqs',
                        'holder' => 'h2'
                    ),
                   array(
                                'type' => 'attach_image',
                                'param_name' => 'titlebg',
                                'heading' => esc_html__('Title Icon Image', 'petenica-core'),
                                'value' => ''
                            ),
                    array(
                        'type' => 'param_group',
                        'value' => '',
                        'param_name' => 'content',
                        'heading' => esc_html__('Accodrion', 'petenica-core'),
                        'params' => array(
                            
                            
                            array(
                                'type' => 'textfield',
                                'param_name' => 'title',
                                'heading' => esc_html__('Title', 'petenica-core'),
                                'default'	=> 'Mission'
                            ),
                            array(
                                'type' => 'textarea',
                                'param_name' => 'text',
                                'heading' => esc_html__('Text', 'petenica-core'),
                                'default'   => 'Everage agile frameworks to provide a robust synopsis for high level overviews. Iterative approaches to corporate strategy foster collaborative thinking to further the overall value proposition. Organically grow the holistic world view of disruptive innovation via workplace diversity and empowerment.</p>
                                    <p>Bring to the table win-win survival strategies to ensure proactive domination. At the end of the day, going forward, a new normal that has evolved from generation X is on the runway heading towards a streamlined cloud solution. User generated content in real-time will have multiple'
                            ),
                            
                        )
                    )
                ),
            )
        );

    }
});
