<?php
add_shortcode('petenica_features_sec', function($atts, $content) {
    ob_start();

    $atts = shortcode_atts(array(
        'bg_image'=> '',
        'icon1' => 'flaticon-face-of-staring-dog',
        'title1'=> 'we heal pets',
        'text1'=> 'quick veterinary services',
        'icon2' => 'flaticon-dog-bone',
        'title2'=> 'we care pets',
        'text2'=> 'pet sheltering & adoption',
        'icon3' => 'flaticon-pawprint-1',
        'title3'=> 'we love pets',
        'text3'=> 'Show love & donate us',  
        'link1' => '#',
        'link2' => '#',
        'link3' => '#',      
    ),$atts);

  
    $bg_image = wp_get_attachment_image_src($atts['bg_image'], 'full');
    $bg_image = isset($bg_image[0]) ? $bg_image[0] : '';
    
        ?>
        <!--Featured Section-->
    <section class="featured-section" style="background-image:url(<?php echo $bg_image; ?>)">
        <div class="auto-container">
            <div class="row clearfix">
                
                <!--Featured Block-->
                <div class="featured-block col-md-4 col-sm-6 col-xs-12">
                    <div class="inner-box">
                        <div class="content">
                            <div class="icon-box">
                                <span class="icon flaticon-<?php echo $atts['icon1']; ?>"></span>
                            </div>
                            <h3><a href="<?php echo $atts['link1']; ?>"><?php echo $atts['title1']; ?></a></h3>
                            <div class="text"><?php echo $atts['text1']; ?></div>
                        </div>
                    </div>
                </div>
                
                <!--Featured Block-->
                <div class="featured-block col-md-4 col-sm-6 col-xs-12">
                    <div class="inner-box">
                        <div class="content">
                            <div class="icon-box">
                                <span class="icon  flaticon-<?php echo $atts['icon2']; ?>"></span>
                            </div>
                            <h3><a href="<?php echo $atts['link2']; ?>"><?php echo $atts['title2']; ?></a></h3>
                            <div class="text"><?php echo $atts['text2']; ?></div>
                        </div>
                    </div>
                </div>
                
                <!--Featured Block-->
                <div class="featured-block col-md-4 col-sm-6 col-xs-12">
                    <div class="inner-box">
                        <div class="content">
                            <div class="icon-box">
                                <span class="icon flaticon-<?php echo $atts['icon3']; ?>"></span>
                            </div>
                            <h3><a href="<?php echo $atts['link3']; ?>"><?php echo $atts['title3']; ?></a></h3>
                            <div class="text"><?php echo $atts['text3']; ?></div>
                        </div>
                    </div>
                </div>
                
            </div>
        </div>
    </section>
    <!--End Featured Section-->

    
      
		 <?php
    
    $html = ob_get_clean();
    return $html;
});
// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        vc_map(array(
                'name'              => esc_html__('Features  Section', 'petenica-core'),
                'description'       => esc_html__('Create Features section ', 'petenica-core'),
                'base'              => 'petenica_features_sec',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                    array(
                                'type' => 'attach_image',
                                'param_name' => 'bg_image',
                                'heading' => esc_html__('Background Image', 'petenica-core'),
                                'value' => ''
                            ),
                    
                   array(
                      'type'        => 'dropdown',
                      'heading'     => __('Icon'),
                      'param_name'  => 'icon1',
                      'admin_label' => true,
                      'value'       => array(
                        'flaticon-two-dog-pawprints' => 'two-dog-pawprints',
                        'flaticon-face-of-staring-dog' => 'face-of-staring-dog',
                        'flaticon-van' => 'van',
                        'flaticon-truck' => 'truck',
                        'flaticon-dog-bone' => 'dog-bone',
                        'flaticon-bone' => 'bone',
                        'flaticon-dog-3' => 'dog-3',
                        'flaticon-rabbit' => 'rabbit',
                        'flaticon-easter-bunny' => 'easter-bunny',
                        'flaticon-animals-3' => 'animals-3',
                        'flaticon-animals-2' => 'animals-2',
                        'flaticon-pets-hotel-house-sign-with-a-paw' => 'pets-hotel-house-sign-with-a-paw',
                        'flaticon-dog-in-front-of-a-man' => 'dog-in-front-of-a-man',
                        'flaticon-man' => 'man',
                        'flaticon-pawprint' => 'pawprint',
                        'flaticon-pawprint-1' => 'pawprint-1',
                        'flaticon-animals-1' => 'animals-1',
                        'flaticon-dog-2' => 'dog-2',
                        'flaticon-cat' => 'cat',
                        'flaticon-dog-1' => 'dog-1',
                        'flaticon-award' => 'award',
                        'flaticon-medal' => 'medal',
                        'flaticon-animal-3' => 'animal-3',
                        'flaticon-animal-2' => 'animal-2',
                        'flaticon-animals' => 'animals',
                        'flaticon-brush' => 'brush',
                        'flaticon-animal-1' => 'animal-1',
                        'flaticon-dog' => 'dog',
                        'flaticon-animal' => 'animal',
                        'flaticon-siberian-husky' => 'siberian-husky',
                        'flaticon-pet-grooming' => 'pet-grooming',
                      )),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'title1',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'link1',
                        'heading' => esc_html__('Link', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'text1',
                        'heading' => esc_html__('Sub Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                   array(
                      'type'        => 'dropdown',
                      'heading'     => __('Icon'),
                      'param_name'  => 'icon2',
                      'admin_label' => true,
                      'value'       => array(
                        'flaticon-two-dog-pawprints' => 'two-dog-pawprints',
                        'flaticon-face-of-staring-dog' => 'face-of-staring-dog',
                        'flaticon-van' => 'van',
                        'flaticon-truck' => 'truck',
                        'flaticon-dog-bone' => 'dog-bone',
                        'flaticon-bone' => 'bone',
                        'flaticon-dog-3' => 'dog-3',
                        'flaticon-rabbit' => 'rabbit',
                        'flaticon-easter-bunny' => 'easter-bunny',
                        'flaticon-animals-3' => 'animals-3',
                        'flaticon-animals-2' => 'animals-2',
                        'flaticon-pets-hotel-house-sign-with-a-paw' => 'pets-hotel-house-sign-with-a-paw',
                        'flaticon-dog-in-front-of-a-man' => 'dog-in-front-of-a-man',
                        'flaticon-man' => 'man',
                        'flaticon-pawprint' => 'pawprint',
                        'flaticon-pawprint-1' => 'pawprint-1',
                        'flaticon-animals-1' => 'animals-1',
                        'flaticon-dog-2' => 'dog-2',
                        'flaticon-cat' => 'cat',
                        'flaticon-dog-1' => 'dog-1',
                        'flaticon-award' => 'award',
                        'flaticon-medal' => 'medal',
                        'flaticon-animal-3' => 'animal-3',
                        'flaticon-animal-2' => 'animal-2',
                        'flaticon-animals' => 'animals',
                        'flaticon-brush' => 'brush',
                        'flaticon-animal-1' => 'animal-1',
                        'flaticon-dog' => 'dog',
                        'flaticon-animal' => 'animal',
                        'flaticon-siberian-husky' => 'siberian-husky',
                        'flaticon-pet-grooming' => 'pet-grooming',
                      )),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'title2',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'link2',
                        'heading' => esc_html__('Link', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'text2',
                        'heading' => esc_html__('Sub Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                      'type'        => 'dropdown',
                      'heading'     => __('Icon'),
                      'param_name'  => 'icon3',
                      'admin_label' => true,
                      'value'       => array(
                        'flaticon-two-dog-pawprints' => 'two-dog-pawprints',
                        'flaticon-face-of-staring-dog' => 'face-of-staring-dog',
                        'flaticon-van' => 'van',
                        'flaticon-truck' => 'truck',
                        'flaticon-dog-bone' => 'dog-bone',
                        'flaticon-bone' => 'bone',
                        'flaticon-dog-3' => 'dog-3',
                        'flaticon-rabbit' => 'rabbit',
                        'flaticon-easter-bunny' => 'easter-bunny',
                        'flaticon-animals-3' => 'animals-3',
                        'flaticon-animals-2' => 'animals-2',
                        'flaticon-pets-hotel-house-sign-with-a-paw' => 'pets-hotel-house-sign-with-a-paw',
                        'flaticon-dog-in-front-of-a-man' => 'dog-in-front-of-a-man',
                        'flaticon-man' => 'man',
                        'flaticon-pawprint' => 'pawprint',
                        'flaticon-pawprint-1' => 'pawprint-1',
                        'flaticon-animals-1' => 'animals-1',
                        'flaticon-dog-2' => 'dog-2',
                        'flaticon-cat' => 'cat',
                        'flaticon-dog-1' => 'dog-1',
                        'flaticon-award' => 'award',
                        'flaticon-medal' => 'medal',
                        'flaticon-animal-3' => 'animal-3',
                        'flaticon-animal-2' => 'animal-2',
                        'flaticon-animals' => 'animals',
                        'flaticon-brush' => 'brush',
                        'flaticon-animal-1' => 'animal-1',
                        'flaticon-dog' => 'dog',
                        'flaticon-animal' => 'animal',
                        'flaticon-siberian-husky' => 'siberian-husky',
                        'flaticon-pet-grooming' => 'pet-grooming',
                      )),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'title3',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'link3',
                        'heading' => esc_html__('Link', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'text3',
                        'heading' => esc_html__('Sub Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
            ))
        );

    }
});

 ?>
