<?php
add_shortcode('petenica_mission_sec', function($atts, $content) {
    ob_start();

    $atts = shortcode_atts(array(
        'left_image'=> '',
        'bg_image'=> '',
        'title' => 'Welcome to Petenica',
        'subtitle' => 'Because We Really Care Welcome Your Pets',
        'text' => '<p>Broadcast neglectful and poignantly well until and some listlessly amidst suc cessful concentrically ably dachshund more far but forwardly echidna outside tiger split thanks far vibrantly gosh hence pangolin however notwithstanding leapt untruthful gauchely yikes komodo dully more.</p>
                            <p>As abandoned winced this more far wow jeepers near more wow goodness so revealed much along worm some grasshopper.</p>',
         'text2' => '<ul class="list-style-one style-two">
                        	<li>Abore et dolore magna aliqua ut enim veniam</li>
                            <li>Quis nostrud exercitation ullamco laboris nisi aliquip</li>
                            <li>Eiusmod tempor incididunt labore.</li>
                        </ul>',
        'designation'=>'CEO',
        'name'=> 'Jhon Deo'
    ),$atts);

   // $image = wp_get_attachment_image_src($atts['image'], 'full');
    $bg_image = wp_get_attachment_image_src($atts['bg_image'], 'full');
    $bg_image = isset($bg_image[0]) ? $bg_image[0] : '';
    $left_image = wp_get_attachment_image_src($atts['left_image'], 'full');
    $left_image = isset($left_image[0]) ? $left_image[0] : '';
    
    
        ?>

        <!--Mission Section-->
    <section class="mission-section" style="background-image:url(<?php echo $bg_image; ?>)">
        <div class="auto-container">
            <div class="row clearfix">
                <!--Image Column-->
                <div class="image-column col-md-6 col-sm-12 col-xs-12">
                    <div class="image">
                        <img src="<?php echo $left_image; ?>" alt="" />
                    </div>
                </div>
                <!--Image Column-->
                <div class="content-column col-md-6 col-sm-12 col-xs-12">
                    <div class="inner-column">
                        <h2><?php echo $atts['title']; ?></h2>
                        <div class="text"><?php echo $atts['text']; ?></div>
                        <?php echo $content; ?>
                        <div class="signature"><?php echo $atts['name']; ?></div>
                        <div class="designation"><?php echo $atts['btntitle']; ?></div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--End Mission Section-->

    
		 <?php
    
    $html = ob_get_clean();
    return $html;
});
// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        vc_map(array(
                'name'              => esc_html__('Mission  Section', 'petenica-core'),
                'description'       => esc_html__('Create Mision section ', 'petenica-core'),
                'base'              => 'petenica_mission_sec',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                    
                    array(
                        'type' => 'attach_image',
                        'param_name' => 'bg_image',
                        'heading' => esc_html__('Background Image', 'petenica-core'),
                        'value' => ''
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'title',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'subtitle',
                        'heading' => esc_html__('Sub Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                   array(
                                'type' => 'textarea',
                                'param_name' => 'text',
                                'heading' => esc_html__('Text', 'petenica-core'),
                                
                            ),
                   array(
                                 'type' => 'textarea_html',
                                'param_name' => 'content',
                                'heading' => esc_html__('Text2', 'petenica-core'),
                                'value' => '<ul class="list-style-one">
                            <li>Abore et dolore magna aliqua ut enim veniam</li>
                            <li>Quis nostrud exercitation ullamco laboris nisi aliquip</li>
                            <li>Eiusmod tempor incididunt labore.</li>
                        </ul>'
                                
                   ),
                    array(
                                'type' => 'attach_image',
                                'param_name' => 'left_image',
                                'heading' => esc_html__('Left Image', 'petenica-core'),
                                'value' => ''
                            ),

                  array(
                                'type' => 'textfield',
                                'param_name' => 'name',
                                'heading' => esc_html__('Name', 'petenica-core'),
                                'holder' => ''
                            ),
                    ),

                   array(
                                'type' => 'textfield',
                                'param_name' => 'designation',
                                'heading' => esc_html__('Designaion', 'petenica-core'),
                                'holder' => ''
                            ),
                   
            )
        );

    }
});

 ?>
