<?php
add_shortcode('petenica_services3', function($atts, $content) {
    ob_start();
    $atts = shortcode_atts(array(
        'title' => 'Our Services',
        'subtitle' => 'For professional dog and cat grooming needs',
        'style' => 'style_01',
        'bg_image'=> '',
        'center_image'=> '',
        'icon1'=>'pawprint-1',
        'title1'=> 'Bath & Brush',
        'text1' => 'On ordered demonstrably bucolically barring grizly caustic poetical',
        'btntitle1'=> 'More Details',
        'btnlink1' => '#',
         'icon2'=>'dog-bone',
        'title2'=> 'Cleaning & Plucking,',
        'text2' => 'On ordered demonstrably bucolically barring grizly caustic poetical',
        'btntitle2'=> 'More Details',
        'btnlink2' => '#',
         'icon3'=>'pawprint-1',
        'title3'=> 'Trim & Groom',
        'text3' => 'On ordered demonstrably bucolically barring grizly caustic poetical',
        'btntitle3'=> 'More Details',
        'btnlink3' => '#',
         'icon4'=>'dog-bone',
        'title4'=> 'Coat Handler',
        'text4' => 'On ordered demonstrably bucolically barring grizly caustic poetical',
        'btntitle4'=> 'More Details',
        'btnlink4' => '#',
         'icon5'=>'pawprint-1',
        'title5'=> 'Hair Styling',
        'text5' => 'On ordered demonstrably bucolically barring grizly caustic poetical',
        'btntitle5'=> 'More Details',
        'btnlink5' => '#',
         'icon6'=>'dog-bone',
        'title6'=> 'Teeth Burshed',
        'text6' => 'On ordered demonstrably bucolically barring grizly caustic poetical',
        'btntitle6'=> 'More Details',
        'btnlink6' => '#',
    ),$atts);
    $bg_image = wp_get_attachment_image_src($atts['bg_image'], 'full');
    $bg_image = isset($bg_image[0]) ? $bg_image[0] : '';
    $center_image = wp_get_attachment_image_src($atts['center_image'], 'full');
    $center_image = isset($center_image[0]) ? $center_image[0] : '';
    $posts = new WP_Query(array(
                    'post_type' => 'petenica_service',
                    'posts_per_page' => 6
        
                    ));
    $count = 1;
    $html1 = '';
    $html2 = '';
       if ($posts->have_posts()) {
                    while ($posts->have_posts()) {
                        $posts->the_post();
                        $serviceicon = get_post_meta(get_the_ID() ,'petenica_meta_icon', true );
                ?>  <!--Services Block-->
  <?php if ($count <= 3): ?>
    <?php $html1 .= '<!--Services Block Three-->
                    <div class="services-block-three">
                        <div class="inner-box wow fadeInLeft" data-wow-delay="0ms" data-wow-duration="1500ms">
                            <div class="icon-box">
                                <span class="icon '.$serviceicon.'"></span>
                            </div>
                             <h3><a href="'.get_permalink().'">'.get_the_title().'</a></h3>
                            <div class="text">'.petenica_substring( get_the_excerpt(), 13, '...' ).'</div>
                            <a href="'.get_permalink().'" class="detail">'.$atts['btntitle1'].'</a>
                        </div>
                    </div>'; ?>
<?php else: ?>
    <?php $html2 .= '<!--Services Block Four-->
                    <div class="services-block-four">
                        <div class="inner-box wow fadeInRight" data-wow-delay="0ms" data-wow-duration="1500ms">
                             <div class="icon-box">
                                <span class="icon '.$serviceicon.'"></span>
                            </div>
                             <h3><a href="'.get_permalink().'">'.get_the_title().'</a></h3>
                            <div class="text">'.petenica_substring( get_the_excerpt(), 13, '...' ).'</div>
                            <a href="'.get_permalink().'" class="detail">'.$atts['btntitle1'].'</a>
                        </div>
                    </div>'; ?>
  <?php endif ?>
  <?php $count++; }} ?>
    <!--Services Section Three-->
    <section class="services-section-three" style="background-image:url(<?php echo $bg_image; ?>)">
        <div class="auto-container">
            <!--Sec Title Two-->
            <div class="sec-title-two centered">
                <div class="title-icon">
                    <img src="<?php echo get_template_directory_uri(); ?>/framework/assets/images/icons/title-icon.png" alt="" />
                </div>
                <h2><?php echo $atts['title'] ?></h2>
                <div class="text"><?php echo $atts['subtitle'] ?></div>
            </div>
            <div class="row clearfix">
                <!--Column-->
                <div class="column pull-left col-md-4 col-sm-6 col-xs-12">
                
                    <?php echo $html1; ?>
                    
                    
                </div>
                <!--Column-->
                <div class="column pull-right col-md-4 col-sm-6 col-xs-12">
                    
                    <?php echo $html2; ?>
                </div>
                <!--Column-->
                <div class="column col-md-4 col-sm-12 col-xs-12">
                    <div class="image">
                        <img src="<?php echo $center_image; ?>" alt="" />
                    </div>
                </div>
            </div>
        </div>
    </section>


  

    
    <?php
    $html = ob_get_clean();
    return $html;
});



// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        vc_map(array(
                'name'              => esc_html__('Service3', 'petenica-core'),
                'description'       => esc_html__('Create services ', 'petenica-core'),
                'base'              => 'petenica_services3',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                    
                   
                   array(
                        'type' => 'textfield',
                        'param_name' => 'title',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'subtitle',
                        'heading' => esc_html__('Sub Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                     array(
                                'type' => 'attach_image',
                                'param_name' => 'bg_image',
                                'heading' => esc_html__('Background Image', 'petenica-core'),
                                'value' => ''
                            ),
                      array(
                                'type' => 'attach_image',
                                'param_name' => 'center_image',
                                'heading' => esc_html__('Center Image', 'petenica-core'),
                                'value' => ''
                            ),
                             array(
                                'type' => 'textfield',
                                'param_name' => 'btntitle1',
                                'heading' => esc_html__('Read More Title', 'petenica-core'),
                                'value' => 'View Details'
                            ),
                            
                   
                ),
            )
        );

    }
});
