<?php
add_shortcode('petenica_servicesvet', function($atts, $content) {
    ob_start();
    $atts = shortcode_atts(array(
        'title' => 'All Types of Grooming Services',
        'subtitle' => 'For professional dog and cat grooming needs Fanatic clearly',
       
        'ppp' => 6,
    ),$atts);
   
    $posts = new WP_Query(array(
                    'post_type' => 'petenica_service',
                    'posts_per_page' => $atts['ppp']
        
                    ));
    ?>
    <section class="what-we-offer section-padding">
            <div class="container">
                <!--Sec Title-->
                <div class="sec-title centered">
                    <div class="separator">
                        <span class="icon flaticon-pawprint-1"></span>
                    </div>
                    <div class="title"><?php echo $atts['subtitle']; ?></div>
                    <h2><?php echo $atts['title']; ?></h2>
                </div>
                <div class="row">
                    <?php    if ($posts->have_posts()) { $count = 1;
                    while ($posts->have_posts()) {
                        $posts->the_post();
                        $serviceicon = get_post_meta(get_the_ID() ,'petenica_meta_icon', true );
                ?>  <!--Services Block-->
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        <div class="single-what-we-offer hvr-bounce-to-bottom">
                            <i class="icon <?php echo $serviceicon; ?>"></i>
                            <h3><?php the_title(); ?></h3>
                            <p><?php echo petenica_substring( get_the_excerpt(), 13, '...' ); ?></p>
                            <a href="<?php the_permalink(); ?>" class="read-more"><i class="fa fa-angle-right"></i></a>
                        </div><!-- /.single-what-we-offer -->
                    </div><!-- /.col-md-4 -->
                    <?php if ($count % 3 == 0): ?>
                        <div class="clearfix"></div>
                    <?php endif ?>
                     <?php $count++; }  
                } ?>
                   
                </div><!-- /.row -->
            </div><!-- /.container -->
        </section><!-- /.what-we-offer -->

   
    <?php
    $html = ob_get_clean();
    return $html;
});



// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        vc_map(array(
                'name'              => esc_html__('Service Vet', 'petenica-core'),
                'description'       => esc_html__('Create services ', 'petenica-core'),
                'base'              => 'petenica_servicesvet',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                    
                   
                   array(
                        'type' => 'textfield',
                        'param_name' => 'title',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'subtitle',
                        'heading' => esc_html__('Sub Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'ppp',
                        'heading' => esc_html__('Posts show count', 'petenica-core'),
                        'value' => 6,
                    ),
                   
                ),
            )
        );

    }
});
