<?php
add_shortcode('petenica_authorpets', function($atts, $content) {
  ob_start();

  $atts = shortcode_atts(array(
    'title'         => 'What’s Happening',
    'small_title'   => 'Because We Really Care About Your Pets',
    'ppp'           => 3,
    'columns'           => 3,
    'category_id'   => '',
    'showpetdata' => '',
    'showfpets' => '',
    'read_more'     => 'Read More',
    'order'         => 'ASC',


  ),$atts);
  $posts_per_page = $atts['ppp'];
  if ($posts_per_page == 0) {
    $posts_per_page = 1;
  }
  $posts = new WP_Query(array(
    'post_type' => 'petenicapet',
    'posts_per_page' => -1,//$posts_per_page,
    //'category_name' => $atts['category_id'],
    'author'    => get_current_user_id(), 
   /* 'tax_query' => array(
      'relation' => 'OR',
      array(
        'taxonomy' => 'pet-type',
        'field' => 'slug',
        'terms' => array(  $atts['category_id'] ),
      ),

    )*/

  )); 
  ?>
  <div class="">
    
<div class="row" style="border:1px solid #cecece;">
  <div class="col-md-4" style="border-right:1px solid #cecece;">
    <h4 class="text-center">Pet</h4>
  </div>
  <div class="col-md-4">
    <h4 class="text-center">Actions</h4>
  </div>
</div>
   
  <?php
  $i = 1;
  while ($posts->have_posts()) : $posts->the_post();
    $isfeatured = get_post_meta( get_the_ID(), 'petenica_meta_isfeatured', true ); 
    $images = get_post_meta( get_the_ID(), 'petenica_meta_pet_images', 1);
    ?>

    <?php //if ($i<=$posts_per_page ): ?>
<div class="row" style="margin-bottom: 20px; border:1px solid #cecece; padding: 15px 0;">
      <div class="col-md-4" >
      <div class="posts ">
        <div class="header-post">
          <div class="himage">
            
            <a href="<?php the_permalink(); ?>">
              <?php if (!empty($images)): ?>
               <?php 
               $count = 1; 
               foreach ($images as $id => $url) {            
                if ($count == 1) {
                  echo  wp_get_attachment_image( $id, 'petenica-pets' );
                  $count++;
                }
              }
              ?>
            <?php endif ?>
          </a>
        </div>
        
          <h4 class="text-center"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>

         
      

      </div>
    </div> 
  </div>
      <div class="col-md-2"><a href="<?php echo esc_url( home_url( '/' ) ); ?>edit-pet/?petid=<?php echo get_the_ID(); ?>">Edit Pet</a></div>
      <div class="col-md-2"><a href="<?php echo get_delete_post_link( get_the_ID(), $deprecated,'true' ); ?>"> Delete Pet</a></div>
  </div>
<?php //endif ?>
<?php 

$i++;
endwhile;
wp_reset_postdata();
?>    

  </div>
<?php
$html = ob_get_clean();
return $html;
});

global $terms;


// VC Config
add_action( 'init', function() {
 $categories_array = array('select' => '');
    $categories = get_categories(array('taxonomy' => 'pet-type',));
    foreach( $categories as $category ) {
        $categories_array[$category->name] = $category->slug;
    }
 
  if( function_exists('vc_map') ) {

    vc_map(array(
      'name'              => esc_html__('Show Author\'s Pets', 'petenica-core'),
      'description'       => esc_html__('Display Pets', 'petenica-core'),
      'base'              => 'petenica_authorpets',
      'category'          => esc_html__('petenica', 'petenica-core'),
      'params'            => array(

        /*array(
          'type' => 'textfield',
          'param_name' => 'title',
          'heading' => esc_html__('Title', 'petenica-core'),
          'value' => 'News from our company',                        
        ),
        array(
          'type' => 'textfield',
          'param_name' => 'small_title',
          'heading' => esc_html__('Small title', 'petenica-core'),
          'value' => 'RECENT WORK',
          'holder' => 'h2',

        ),
        array(
          'type' => 'textfield',
          'param_name' => 'ppp',
          'heading' => esc_html__('Pets to show', 'petenica-core'),
          'value' => 3,
        ),
        array(
          'param_name'    => 'showfpets',
          'type'          => 'dropdown',
          'value'         => array(
            'Select'  => 'none',
            'Show Only Featured Pet'  => 'isfeatured',
            'Show All Pets'     => 'allpets'
                      ), // here I'm stuck
        ),*/
        /*array(
          'param_name'    => 'category_id',
          'type'          => 'dropdown',
          'value'         => $categories_array,//get_custom_terms( 'pet-type'), // here I'm stuck
          'heading'       => __('Category filter:', 'overmax'),
          'description'   => '',
          'holder'        => 'div',
          'class'         => ''
        ),
        array(
          'param_name'    => 'showpetdata',
          'type'          => 'dropdown',
          'value'         => array(
            'Select ' => '',
            'Show' => 'show',
            'Hide' => 'hide'
                      ), // here I'm stuck
          'heading'       => __('Show Hide pet data', 'overmax'),
          'description'   => '',
          'holder'        => 'div',
          'class'         => ''
        ),
        array(
          'type' => 'textfield',
          'param_name' => 'read_more',
          'heading' => esc_html__('Read more link label', 'petenica-core'),
          'value' => 'More Details'
        ),*/
      ),
    )
  );

  }
});
