<?php
add_shortcode('petenica_spets', function($atts, $content) {
  ob_start();

  $atts = shortcode_atts(array(
    'title'         => 'What’s Happening',
    'small_title'   => 'Because We Really Care About Your Pets',
    'ppp'           => 3,
    'columns'           => 3,
    'category_id'   => '',
    'showpetdata' => '',
    'showfpets' => '',
    'read_more'     => 'Read More',
    'order'         => 'ASC',


  ),$atts);
  $posts_per_page = $atts['ppp'];
  if ($posts_per_page == 0) {
    $posts_per_page = 1;
  }
  $posts = new WP_Query(array(
    'post_type' => 'petenicapet',
    'posts_per_page' => $posts_per_page,
    //'category_name' => $atts['category_id'],
    'tax_query' => array(
      'relation' => 'OR',
      array(
        'taxonomy' => 'pet-type',
        'field' => 'slug',
        'terms' => array(  $atts['category_id'] ),
      ),

    )

  ));
  ?>
  
  <?php
  $i = 1;
  while ($posts->have_posts()) : $posts->the_post();
    $isfeatured = get_post_meta( get_the_ID(), 'petenica_meta_isfeatured', true ); 
    $images = get_post_meta( get_the_ID(), 'petenica_meta_pet_images', 1);
    ?>

    <?php if ($i<=$posts_per_page ): ?>

      <?php if ($atts['showfpets'] == 'isfeatured'&& $isfeatured): ?>



       <div class="posts pfeatured">
        <div class="header-post">
          <div class="himage">
            <span class="featured">
              <?php esc_html_e( 'Featured ','petenica' ); echo $atts['category_id']; ?>
            </span>
            <a href="<?php the_permalink(); ?>">
              <?php if (!empty($images)): ?>


               <?php 
               $count = 1; 
               foreach ($images as $id => $url) {            
                if ($count == 1) {
                  echo  wp_get_attachment_image( $id, 'petenica-feauredpet' );
                  $count++;
                }
              }
              ?>
            <?php endif ?>
          </a>
        </div>
        <?php if ($atts['showpetdata']  == 'show'): ?>
          <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>

          <div class="post-meta">
            <div class="post-meta-content">
              <span><i class="fa fa-user"></i> <?php the_author(); ?> </span>
              <span><i class="fa fa-comments"></i> <?php comments_number( '0 comment', '1 comment', '% comments' ); ?> </span>
            </div>
          </div>
        <?php endif ?>

      </div>
    </div> 
    <?php elseif($atts['showfpets'] == 'allpets'): ?>
      <div class="posts ">
        <div class="header-post">
          <div class="himage">
            <span class="cat">
              <?php echo $atts['category_id']; ?>
            </span>
            <a href="<?php the_permalink(); ?>">
              <?php if (!empty($images)): ?>


               <?php 
               $count = 1; 
               foreach ($images as $id => $url) {            
                if ($count == 1) {
                  echo  wp_get_attachment_image( $id, 'petenica-pets' );
                  $count++;
                }
              }
              ?>
            <?php endif ?>
          </a>
        </div>
        <?php if ($atts['showpetdata']  == 'show'): ?>
          <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>

          <div class="post-meta">
            <div class="post-meta-content">
              <span><i class="fa fa-user"></i> <?php the_author(); ?> </span>
              <span><i class="fa fa-comments"></i> <?php comments_number( '0 comment', '1 comment', '% comments' ); ?> </span>
            </div>
          </div>
        <?php endif ?>

      </div>
    </div> 
  <?php endif ?>
<?php endif ?>
<?php 

$i++;
endwhile;
wp_reset_postdata();
?>    

<?php
$html = ob_get_clean();
return $html;
});

global $terms;


// VC Config
add_action( 'init', function() {
 $categories_array = array('select' => '');
    $categories = get_categories(array('taxonomy' => 'pet-type',));
    foreach( $categories as $category ) {
        $categories_array[$category->name] = $category->slug;
    }
 
  if( function_exists('vc_map') ) {

    vc_map(array(
      'name'              => esc_html__('Show Pets', 'petenica-core'),
      'description'       => esc_html__('Display Pets', 'petenica-core'),
      'base'              => 'petenica_spets',
      'category'          => esc_html__('petenica', 'petenica-core'),
      'params'            => array(

        /*array(
          'type' => 'textfield',
          'param_name' => 'title',
          'heading' => esc_html__('Title', 'petenica-core'),
          'value' => 'News from our company',                        
        ),
        array(
          'type' => 'textfield',
          'param_name' => 'small_title',
          'heading' => esc_html__('Small title', 'petenica-core'),
          'value' => 'RECENT WORK',
          'holder' => 'h2',

        ),*/
        array(
          'type' => 'textfield',
          'param_name' => 'ppp',
          'heading' => esc_html__('Pets to show', 'petenica-core'),
          'value' => 3,
        ),
        array(
          'param_name'    => 'showfpets',
          'type'          => 'dropdown',
          'value'         => array(
            'Select'  => 'none',
            'Show Only Featured Pet'  => 'isfeatured',
            'Show All Pets'     => 'allpets'
                      ), // here I'm stuck
        ),
        array(
          'param_name'    => 'category_id',
          'type'          => 'dropdown',
          'value'         => $categories_array,//get_custom_terms( 'pet-type'), // here I'm stuck
          'heading'       => __('Category filter:', 'overmax'),
          'description'   => '',
          'holder'        => 'div',
          'class'         => ''
        ),
        array(
          'param_name'    => 'showpetdata',
          'type'          => 'dropdown',
          'value'         => array(
            'Select ' => '',
            'Show' => 'show',
            'Hide' => 'hide'
                      ), // here I'm stuck
          'heading'       => __('Show Hide pet data', 'overmax'),
          'description'   => '',
          'holder'        => 'div',
          'class'         => ''
        ),
        array(
          'type' => 'textfield',
          'param_name' => 'read_more',
          'heading' => esc_html__('Read more link label', 'petenica-core'),
          'value' => 'More Details'
        ),
      ),
    )
  );

  }
});
